<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use App\Models\User;
use App\Models\Registered_user;
use App\Models\Otp;
use App\Models\UserDetail;
use Session;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use Illuminate\Foundation\Auth\RegistersUsers;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Auth;

class RegisterController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Register Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles the registration of new users as well as their
    | validation and creation. By default this controller uses a trait to
    | provide this functionality without requiring any additional code.
    |
    */

    use RegistersUsers;

    /**
     * Where to redirect users after registration.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest');
    }

    /**
     * Get a validator for an incoming registration request.
     *
     * @param  array  $data
     * @return \Illuminate\Contracts\Validation\Validator
     */



    public function Register(Request $request)
    {
        $request->validate([
            'mobile_number' => 'required|digits:10',
            'password' => 'required|min:6',
            'confirm_password' => 'required_with:password|same:password|min:6'
        ],
        [
        'mobile_number.digits' => '10 अंको की मोबाइल संख्या डालें',
        'password.min' => 'कृपया 6 अंकों का पासवर्ड दर्ज करें',
        'confirm_password.min' => 'कृपया 6 अंकों का पासवर्ड दर्ज करें',
        'confirm_password.same' => 'दोनों पासवर्ड का मिलान सही नहीं है'
    ]);
        $mobileNumber = $request->mobile_number;

        $value = Registered_user::where('mobile_number', $mobileNumber)->where('verified', '2')->orderBy('id','DESC')->first();
        if(is_null($value)){
        Session::put('mobileNumber', $mobileNumber);
        Session::put('vidhansabha', $request->vidhansabha);
        Session::put('password', $request->password);
        Session::put('name', $request->name);
            $info = new Registered_user;
            $info->mobile_number = $mobileNumber;
            $info->unique_id = uniqid();
            $info->status = 2;
            $info->verified = 1;
            if($info->save()){
                $registered_user = Registered_user::where('mobile_number', $mobileNumber)->first();
                $code = rand(111111, 999999);
                Session::put('Otp', $code);
                $otp = new Otp;
                $otp->otp =  $code;
                $otp->status = 1;
                $otp->uniqid_id = uniqid();
                $otp->registered_user_id = $registered_user->id;
                $otp->save();
                return redirect()->route('otpVerifiction')->with('success', 'ओटीपी सफलतापूर्वक भेजा गया है।');
                }
                } else{
                 return redirect()->back()->with('error', 'आपका खाता पहले से मौजूद है।');
                }
              }




public function otp(){
    return view('auth.otp');
}


  public function postOtp(Request $request){
    
   $count=sizeof($request->otp);
    if($count =! 6){
     return redirect()->back()->with('error', 'कृपया 6 अंकों का ओटीपी दर्ज करें');
    }
    $otp= $request->otp[0].$request->otp[1].$request->otp[2].$request->otp[3].$request->otp[4].$request->otp[5];
  $mobileNumber =Session::get('mobileNumber');
if(!empty($mobileNumber)){
    $mobileData = Registered_user::where('mobile_number', $mobileNumber)->first();
    $value = Otp::where('registered_user_id', $mobileData->id)->where('status', '1')->orderBy('id','DESC')->first();
    if(is_null($value)){
        return redirect('register')->with('error', 'कुछ गलत हो गया है।');
    }
    $otp2 =  $value->otp;
        if ($otp2 == $otp) {
            $otp_update = Otp::find($value->id);
            $otp_update->status = 2;
            if($otp_update->save()){
                $mobileData->verified = 2;
                $mobileData->save();
                
                
                 $info = new User;
           $info->mobile_number = $mobileNumber;
           $info->name = Session::get('name');
           $info->unique_id = uniqid();
           $info->status = 1;
           $info->vidhansabha_id = Session::get('vidhansabha');
            $info->password = bcrypt(Session::get('password'));
           $info->assignRole('user');
           $info->save();
           
          $userd = new UserDetail;
          $userd->user_id = $info->id;
          $userd->save();
               }
  }else{
    return redirect()->back()->with('error', 'ओटीपी अमान्य है। ');
  }
        if (Auth::attempt(['mobile_number' => $mobileNumber, 'password' => Session::get('password'), 'status' => 1])) {
            return redirect()->intended('user/home')
                        ->withSuccess('आप सफलतापूर्वक पंजीकृत है।');
        }else{
            return redirect('login');
         }
} else{
    Session::flush();
    return redirect('register')->with('error', 'कुछ गलत हो गया है।');
}
  }

      public function resendotp(){
       $mobileNumber =Session::get('mobileNumber');
          $registered_user = Registered_user::where('mobile_number', $mobileNumber)->first();
                $code = rand(111111, 999999);
                Session::put('Otp', $code);
                $otp = new Otp;
                $otp->otp =  $code;
                $otp->status = 1;
                $otp->uniqid_id = uniqid();
                $otp->registered_user_id = $registered_user->id;
                $otp->save();
                return redirect()->back()->with('success', 'ओटीपी सफलतापूर्वक भेजा गया है।');
      }


  public function setPassword(){
    return view('auth.set_password');
  }




    public function postSetPassword(Request $request){
        $request->validate([
            'password' => 'required|min:6',
            'confirm_password' => 'required_with:password|same:password|min:6'
        ]);

        $mobileNumber = session::get('mobileNumber');
        $value = Registered_user::where('mobile_number', $mobileNumber)->where('verified', '2')->orderBy('id','DESC')->first();
        if(is_null($value)){
            Session::flush();
            return redirect('register')->with('error', 'Something went wrong');
        }else{
           $info = new user;
           $info->mobile_number = $value->mobile_number;
           $info->unique_id = uniqid();
           $info->status = 1;
           $info->password = bcrypt($request->password);
           $info->assignRole('user');
           if($info->save()){
            Session::flush();
            return redirect('login')->with('success', 'You are registered successfully');
           }else{
            Session::flush();
            return redirect('register')->with('error', 'Something went wrong');
           }
        }
    }










}
