<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\About;
use Carbon\Carbon;
use Auth;

class AboutController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $about= About::where('status',1)->get();
        return view('admin.about.index',compact('about'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.about.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
			'about_title'=>'required',
        ]);
        
        $unique_id=uniqid();
            
            $about = new About;         
            $about->status =1;       
            $about->about_title = $request->about_title;        
            $about->unique_id=$unique_id;
            $about->about_description = $request->about_description;
            if ($request->hasFile('about_image')) {
                $image = $request->file('about_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/about_image');
                $image->move($destinationPath, $filename);
                $about->about_image= "uploads/about_image/" . $filename;
            }
            $about->save();  
            
        
            session()->flash('success_msg', 'created successfully');
            return redirect()->route('about.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=About::where('unique_id',$id)->value('id');
        $row=About::find($id);
        return view('admin.about.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
          
			'about_title'=>'required',
	
        ]);

            $about = About::find($id);  
            $about->about_title = $request->about_title;
            $about->about_description = $request->about_description;
            if ($request->hasFile('about_image')) {
                $image = $request->file('about_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/about_image');
                $image->move($destinationPath, $filename);
                $about->about_image= "uploads/about_image/" . $filename;
            }   
            $about->save();  
            
       
            session()->flash('success_msg', 'Update successfully');
            return redirect()->route('about.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $about_id=About::where('unique_id',$id)->value('id');
        $about=About::find($about_id);
        $about->status="2";
        $about->save();
        
        session()->flash('success_msg', 'About has been deleted successfully');
        return back();
    }
}
