<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\User;
use App\Models\Event;
use App\Models\UserDetail;
use Auth;
use Str;

class EventController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $event=Event::Where('status','1')->get();
        return view('admin.event.index',compact('event'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('admin.event.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'event_name' => 'required',
            'date_of_event' => 'required',
            'limit' => 'required',
            
        ]);
        $event=new Event;
        $event->event_name=$request->event_name;
        $event->vidhansabha_id=$request->vidhansabha;
        $event->date_of_event=$request->date_of_event;
        $event->limit=$request->limit;
        $event->address=$request->address;
        $event->description=$request->description;
        $event->creator_id=Auth::user()->id;
        $event->status='1';
        $event->unique_id=uniqid();
    
        $event->save();

         session()->flash('success_msg', 'New Event has been created successfully');
         return redirect()->route('aevent.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        $id=Event::where('unique_id',$id)->value('id');
        $row=Event::find($id);
        return view('admin.event.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
            'event_name' => 'required',
            'date_of_event' => 'required',
            'limit' => 'required',
          
        ]);
        $event=Event::find($id);
        $event->event_name=$request->event_name;
        $event->vidhansabha_id=$request->vidhansabha;
        $event->date_of_event=$request->date_of_event;
        $event->limit=$request->limit;
        $event->address=$request->address;
        $event->description=$request->description;
        $event->save();

         session()->flash('success_msg', 'Event has been updated successfully');
         return redirect()->route('aevent.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $event_id=Event::where('unique_id',$id)->value('id'); 
        $event=Event::find($event_id);
        $event->status="2";
        $event->save();
        
        session()->flash('success_msg', 'Event has been deleted successfully');
        return back();
    }
}
