<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\AboutVidhansabha;
use App\Models\Event;
use App\Models\Candidate;
use App\Models\User;
use App\Models\UserDetail;
use App\Models\Notification;
use App\Models\Notifications_List;
use Auth,Hash;
use Str;
use DB;

class HomeController extends Controller
{
    public function index()
    {
        $registration = User::orderBy('status', 'ASC')->get();
        $candidate=Candidate::Where('status','1')->get();
        $aboutvidhansabha=AboutVidhansabha::Where('status','1')->get();
        return view('admin.home',compact('aboutvidhansabha','candidate','registration'));
    }
     public function registration()
    { 
       
        $registration = User::where('status' ,'1')->whereHas('roles', function($q){
            $q->where('name', 'boothagent ')->orWhere('name','user');
        })
        ->get();
        return view('admin.registrationdetail',compact('registration'));
    }
    public function aboothchange($id)
    { 
        $registration = User::where('status' ,'1')->Where('unique_id' , $id)->first();
       
        $results = DB::select( DB::raw("update  model_has_roles SET role_id='3' where model_id=".$registration->id." ") );
        session()->flash('success_msg', 'New boothagent has been Updated successfully');
        return redirect()->back();
    }
   
    public function auserchange($id)
    { 
        $registration = User::where('status' ,'1')->Where('unique_id' , $id)->first();
       
        $results = DB::select( DB::raw("update  model_has_roles SET role_id='4' where model_id=".$registration->id." ") );
        session()->flash('success_msg', 'New user has been updated successfully');
        return redirect()->back();
    }
    public function aregistrationDelete($id)
    {
        $user_id=User::where('unique_id',$id)->value('id');    
        $user=User::find($user_id);
        $user->status="2";
        $user->save();
        
        session()->flash('success_msg', 'User has been deleted successfully');
        return back();
    }
    public function about_vidhan_sabha()
    { 
        $aboutvidhansabha= AboutVidhansabha::orderBy('id','DESC')->where('status',1)->get();
        return view('about_vidhan_sabha',compact('aboutvidhansabha'));
    }
     public function aboutvidhansabhadetails($description)
    {
        $aboutvidhansabha=AboutVidhansabha::where('status',1)->first();
        return view('aboutvidhansabha_details',compact('aboutvidhansabha'));
    }
    public function candidatedetails($unique_id)
    {
     $candidate=Candidate::where('status',1)->first();
        return view('aboutcandidate_details',compact('candidate'));
    }
    public function notification(Request $request){
   $output = '';
        $info = Notification::where('status' ,'1')->where('user_id', Auth::user()->id)->pluck('notification_list_id')->toarray();
        if($info){
            $noti = Notifications_List::whereNotIn('id', $info)->where('user_id', Auth::user()->id)->get();
            $count = $noti->count();
          }else{
          $noti = Notifications_List::where('status', 1)->where('user_id', Auth::user()->id)->orderBy('id', 'desc')->take(10)->get();
         $count =$noti->count();
}
                   if($request->view) {
                       foreach($noti as $r){
                       $insert = new Notification;
                       $insert->user_id = Auth::user()->id;
                       $insert->notification_list_id = $r->id;
                       $insert->save();
                         $count = '';
                       }
}              
                   $noti = Notifications_List::where('status', 1)->where('user_id', Auth::user()->id)->orderBy('id', 'desc')->take(10)->get();
                   $image = asset('assets/user/images/icon-news.png');  
                   if($noti){
                   foreach($noti as $r){
                    if($r->task_id != null){
                        $title = 'New Task';
                        $route = 'atask.index';
                    }
                    elseif($r->inventori_id != null){
                        $title = 'New Inventory';
                        $route = 'ainventory.index';
                    }
                    elseif($r->requirement_id != null){
                        $title = 'New Requirement';
                        $route = 'arequirement.index';
                    }
                  
                          $output .= '<li>
                                        <a href="'.route($route).'" class="user-list-item">
                                            <div class="icon bg-info">
                                                <i class="mdi mdi-account"></i>
                                            </div>
                                            <div class="user-desc">
                                                <span class="name">'.$title.'</span>
                                                <span class="time">दिनांक '.$r->created_at->format('d-M-Y').'</span>
                                            </div>
                                        </a>
                                    </li>';
                   }
                   } else{
                    $output .= '<li><span class="color:#fff">No Noti Found</span></li>';
                   }
$data = array(
   'notification' => $output,
   'unseen_notification'  => $count
);
return $data;
}
public function adminprofile(){
    return view('admin.profile');
}

public function adminupdateprofile(Request $request){
    $this->validate($request, [
       'name' => 'required',
     

   ]);
   $id=Auth::user()->id;
   $user=User::find($id);
   $user->name=$request->name;
   $user->mobile_number=$request->mobile_number;
   $user->save();

   $userdetails_id=UserDetail::where('user_id',$user->id)->value('id');
   $user_detail =UserDetail::find($userdetails_id);
$user_detail->user_id=$user->id;
$user_detail->booth_name=$request->booth_name;
$user_detail->block_name=$request->block_name;
$user_detail->address=$request->address;

$user_detail->save(); 

     session()->flash('success_msg', 'Updated Successfully ');
   return redirect('admin/adminprofile');
}
public function adminpassword(){
    return view('admin.passwordchange');
}

public function adminupdatepassword(Request $request){
$input=$request->all();
  $this->validate($request, [
      'oldpassword'=>'required',
      'password'=>'required|min:6|confirmed',
  ]);
  $user=Auth::user();
  $oldpassword=$user->password;
  if(Hash::check($request->oldpassword,$oldpassword)){
      $user->fill([
          'password'=>bcrypt($request->password)
      ])->save();
      session()->flash('success_msg','Password has been Updated');
      return back();
  }
  else{
      session()->flash('danger_msg','Please Enter correct Old Password');
      return back();
  }
}

public function auserdetail($id){

    $registration = User::where('unique_id' ,$id)->first();
   
    return view('admin.userdetail',compact('registration','id'));
}
public function auserupdated(Request $request){
    $this->validate($request, [
       'name' => 'required',
     

   ]);
   $id=User::where('unique_id',$request->uid)->value('id');
   $user=User::find($id);
   $user->name=$request->name;
   $user->mobile_number=$request->mobile_number;
   $user->email=$request->emai;
   $user->save();

$userdetails_id=UserDetail::where('user_id',$user->id)->value('id');
$user_detail =UserDetail::find($userdetails_id);
$user_detail->user_id=$user->id;
$user_detail->booth_name=$request->booth_name;
$user_detail->block_name=$request->block_name;
$user_detail->address=$request->address;

$user_detail->save(); 

     session()->flash('success_msg', 'Updated Successfully ');
   return redirect('admin/registration');
}
}
