<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Slider;
use Carbon\Carbon;
use Auth;


class SliderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $slider= Slider::where('status',1)->get();
        return view('admin.slider.index',compact('slider'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.slider.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
			
        ]);
        $data=$request->slider_image;
        $unique_id=uniqid();
            
            $slider = new Slider;         
            $slider->status =1;
            $slider->slider_name = $request->slider_name;        
            $slider->slider_description = $request->slider_description;
            $slider->unique_id=$unique_id;
            if ($request->hasFile('slider_image')) {
                $image = $request->file('slider_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/slider_image');
                $image->move($destinationPath, $filename);
                $slider->slider_image= "uploads/slider_image/" . $filename;
            }
            $slider->save();  
            
        
            session()->flash('success_msg', 'Slider created successfully');
            return redirect()->route('slider.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Slider::where('unique_id',$id)->value('id');
        $row=Slider::find($id);
        return view('admin.slider.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
          
        ]);

            $slider = Slider::find($id);
            $slider->slider_name = $request->slider_name;          
            $slider->slider_description = $request->slider_description;
            if ($request->hasFile('slider_image')) {
                $image = $request->file('slider_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/slider_image');
                $image->move($destinationPath, $filename);
                $slider->slider_image= "uploads/slider_image/" . $filename;
            }
            
            $slider->save();  
            return redirect()->route('slider.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $slider_id=Slider::where('unique_id',$id)->value('id');
        
        $slider=Slider::find($slider_id);
        $slider->status="2";
        $slider->save();
        
        session()->flash('success_msg', 'Slider has been deleted successfully');
        return back();
    }
}
