<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\VoterList;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class VoterListController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $voterlist=VoterList::Where('status','1')->get();
        return view('admin.voterlist.index',compact('voterlist'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('admin.voterlist.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
            'name' => 'required',
           
            
        ]);

        $voterlist = new VoterList;
        $voterlist->vidhansabha_id=$request->vidhansabha;    
        $voterlist->name=Str::upper($request->name);
        $voterlist->father_name=Str::upper($request->father_name);
        $voterlist->email = $request->email;
        $voterlist->block_name = $request->block_name;
        $voterlist->booth_name = $request->booth_name;
        $voterlist->phone_no = $request->phone_no;
        $voterlist->age = $request->age;
        $voterlist->sex = $request->sex;
        $voterlist->voter_id = $request->voter_id;
        $voterlist->Plot_no = $request->Plot_no;
        $voterlist->colony_name = $request->colony_name;
        $voterlist->area_name = $request->area_name;
        $voterlist->pin_code = $request->pin_code;
        $voterlist->other_id = $request->other_id;
        $voterlist->otherid_no = $request->otherid_no;
        $voterlist->creator_id=Auth::user()->id;
        $voterlist->status = 1;
        $voterlist->unique_id=uniqid();
        if ($request->hasFile('voterlist_image')) {
			$image = $request->file('voterlist_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/voterlist_image');
			$image->move($destinationPath, $filename);
			$voterlist->voterlist_image= "uploads/voterlist_image/" . $filename;
		}
        $voterlist->save();
   

        session()->flash('success_msg', 'New Admin has been created successfully');
        return redirect()->route('avoterlist.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=VoterList::where('unique_id',$id)->value('id');
        $row=VoterList::findorfail($id);
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('admin.voterlist.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
      
            
        ]);

        $voterlist =VoterList::find($id);
        $voterlist->vidhansabha_id=$request->vidhansabha;    
        $voterlist->name=Str::upper($request->name);
        $voterlist->father_name=Str::upper($request->father_name);
        $voterlist->email = $request->email;
        $voterlist->block_name = $request->block_name;
        $voterlist->booth_name = $request->booth_name;
        $voterlist->phone_no = $request->phone_no;
        $voterlist->age = $request->age;
        $voterlist->sex = $request->sex;
        $voterlist->voter_id = $request->voter_id;
        $voterlist->Plot_no = $request->Plot_no;
        $voterlist->colony_name = $request->colony_name;
        $voterlist->area_name = $request->area_name;
        $voterlist->pin_code = $request->pin_code;
        $voterlist->other_id = $request->other_id;
        $voterlist->otherid_no = $request->otherid_no;
        $voterlist->creator_id=Auth::user()->id;
        $voterlist->status = 1;
        $voterlist->unique_id=uniqid();
        if ($request->hasFile('voterlist_image')) {
			$image = $request->file('voterlist_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/voterlist_image');
			$image->move($destinationPath, $filename);
			$voterlist->voterlist_image= "uploads/voterlist_image/" . $filename;
		}
        $voterlist->save();   

        session()->flash('success_msg','Voter List has been updated successfully');
        return redirect()->route('avoterlist.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $voterlist_id=VoterList::where('unique_id',$id)->value('id');    
        $voterlist=VoterList::find($voterlist_id);
        $voterlist->status="2";
        $voterlist->save();
        
        session()->flash('success_msg', 'Voter List has been deleted successfully');
        return back();
    }
}
