<?php

namespace App\Http\Controllers\boothagent;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\StarCampaigner;
use App\Models\AboutVidhansabha;
use App\Models\Event;
use App\Models\Candidate;
use App\Models\VoterList;
use App\Models\User;
use App\Models\News;
use App\Models\Task;
use App\Models\UserDetail;
use App\Models\VotersCount;
use App\Models\Download;
use App\Models\Requirement;
use App\Models\Category;
use App\Models\Inventory;
use App\Models\Notification;
use App\Models\SocialMedia;
use App\Models\Notifications_List;
use Auth;
use Str;

class HomeController extends Controller
{
    public function index()
    {
        $votecount = VoterList::where('status', 1)->get();
        $starcampaigner=StarCampaigner::Where('status','1')->get();
        $candidate=Candidate::Where('status','1')->get();
        $news=News::orderBy('id','DESC')->Where('status','1')->get();
        $aboutvidhansabha=AboutVidhansabha::Where('status','1')->get();
        $voterlist1=VoterList::Where('status','1')->where('voter_verified', 1)->get();
     $voterlist=VotersCount::Where('status','1')->get();
     $tasklist=Task::Where('status','1')->where('creator_id', Auth::user()->id)->orderBy('report', 'ASC')->get();
        $task=Task::Where('status','1')->where('user_id', Auth::user()->id)->where('creator_id', '!=',  Auth::user()->id)->get();
        return view('boothagent.home',compact('aboutvidhansabha','news','candidate','starcampaigner','votecount','voterlist','voterlist1','tasklist','task'));
    }
    public function about_vidhan_sabha()
    { 
        $aboutvidhansabha= AboutVidhansabha::orderBy('id','DESC')->where('status',1)->get();
        return view('about_vidhan_sabha',compact('aboutvidhansabha'));
    }
     public function aboutvidhansabhadetails($description)
    {
        $aboutvidhansabha=AboutVidhansabha::where('status',1)->first();
        return view('aboutvidhansabha_details',compact('aboutvidhansabha'));
    }
    public function vidhayakProfile()
   {
    $candidate = Candidate::where('status', 1)->first();
       return view('boothagent.vidhayak-profile', compact('candidate'));
   }
   public function star()
   {
       return view('boothagent.star-campaigner');
   }
   public function celebrity()
   {
    $celebrity = StarCampaigner::where('status', 1)->get();
       return view('boothagent.celebrity-guest', compact('celebrity'));
   }
   
   public function celebritydetails($id)
   {
       $celebrity=StarCampaigner::where('status',1)->where('starcampaigner_slug', $id)->first();
       return view('boothagent.celebrity-guest-details',compact('celebrity'));
   }
   public function JoinUs()
   {
       $mobile_no = Candidate::where('status', 1)->first();
       return view('boothagent.Join-us',compact('mobile_no'));
   }
   public function voteradd()
   {
       return view('boothagent.voter-add');
   }
   public function taskreceived()
   {
        $tasklist=Task::Where('status','1')->where('creator_id', Auth::user()->id)->orderBy('report', 'ASC')->get();
        $task=Task::Where('status','1')->where('user_id', Auth::user()->id)->where('creator_id', '!=',  Auth::user()->id)->get();
       return view('boothagent.task-received',compact('task','tasklist'));
   }
   public function socialMedia()
   {
        $info = SocialMedia::where('status', 1)->where('link', '!=', null)->get();
       return view('boothagent.social-media', compact('info'));
   }
   public function inventory()
   {
       return view('boothagent.inventory-management');
   }
    public function newsdetails($slug)
    {
        $news=News::where('news_slug',$slug)->first();
       return view('news_details',compact('news'));
    }
    public function candidatedetails($unique_id)
    {
     $candidate=Candidate::where('status',1)->first();
        return view('aboutcandidate_details',compact('candidate'));
    }
    public function starcampaignerdetails($slug)
   {
    $starcampaigner=Starcampaigner::where('starcampaigner_slug',$slug)->first();
       return view('starcampaigner_details',compact('starcampaigner'));
   }
   public function profile(){
    $user = VidhanSabha::where('status', 1)->where('id', Auth::user()->id)->first();
    return view('boothagent.profile_upadet', compact('user'));
}
   public function booth()
   {
       $booth=VoterList::where('status',1)->get();
       return view('boothagent.booth',compact('booth'));
   }
   public function boothdetails(Request $request)
   {
       $request->validate([
           'voter_id' => 'required',
       ]);
       $booth=VoterList::where('status',1)->where('voter_id', 'like', $request->voter_id)->first();
       if(is_null($booth)){
           session()->flash('danger_msg', 'रिकोड नहीं मिला..');
           return redirect()->back();
       }
       return view('boothagent.boothdetails',compact('booth'));
   }
   
    public function vidhansabhadetails()
    {
        $aboutvidhansabha=AboutVidhansabha::Where('status','1')->get();
        return view('boothagent.my-vidhansabha',compact('aboutvidhansabha'));
    }

   public function fileDownload()
   {
    $download = Download::where('status', 1)->get();
       return view('boothagent.downloads', compact('download'));
   }

   public function download($id)
    {
        $id=Download::where('unique_id',$id)->first();
        if(is_null($id)){
            session()->flash('danger_msg', 'कुछ गलत हो गया, कृपया फिर से प्रयास करें');
            return redirect()->back();
        }
        return response()->download(public_path($id->pdf));
    }

      public function votecount()
    {
     $votecount = VoterList::where('status', 1)->get();
     $voterlist1=VoterList::Where('status','1')->where('voter_verified', 1)->get();
     $voterlist=VoterList::Where('status', '1')->where('voter_verified', 2)->get();
     $value1 = $votecount->count();
     $value2 = $voterlist1->count();
     $value3 = $voterlist->count();
     $panding = $value2/$value1 * 100;
     $comeplete = $value3/$value1 * 100;
     return view('boothagent.vote-counting', compact('votecount','voterlist','voterlist1','panding','comeplete'));
    }

    public function boothprofilePost(Request $request, $unique_id){
        $request->validate([
            'name' => 'required',
            'vidhansabha' => 'required'
        ]);
        $info = User::where('unique_id', $unique_id)->first();
        if(is_null($info)){
            session()->flash('danger_msg', 'कुछ गलत हो गया, कृपया फिर से प्रयास करें');
            return redirect()->back();
           }
           $info->name = $request->name;
            $info->vidhansabha_id = $request->vidhansabha;
            $info->save();
             
             
             $userDetail = UserDetail::where('user_id', $info->id)->first();
            if(is_null($userDetail)){
                $userdetail = new UserDetail;
           $userdetail->user_id = $info->id;
           $userdetail->booth_name = $request->booth_name;
           $userdetail->pincode = $request->pincode;
           $userdetail->block_name = $request->block_name;
           $userdetail->save();
            }
           $userDetail->booth_name = $request->booth_name;
           $userDetail->pincode = $request->pincode;
           $userDetail->block_name = $request->block_name;
           $userDetail->save();
            session()->flash('success_msg', 'आपका प्रोफ़ाइल सफलतापूर्वक बदल गया है');
           return redirect()->back();
    }

    public function material_received(){
        $inventory=Inventory::Where('status','1')->where('creator_id', '!=',  Auth::user()->id)->where('user_id', Auth::user()->id)->orderBy('received', 'ASC')->get();
        return view('boothagent.material-received', compact('inventory'));
    }


    public function material_demand(){
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        $category = Category::where('status' ,'1')->pluck('category_name', 'id')->toarray();
        $user=User::whereHas('roles', function($q){
            $q->where('name','admin');
        })->where('status',1)->pluck('name','id')->toArray();
    
        return view('boothagent.material-demand',compact('vidhansabha','category','user'));
    }


    public function received(Request $request,$id){
        $inventory = Inventory::where('unique_id',$id)->first();
        $inventory->received = 2;
        $inventory->remark = $request->remark;
        $inventory->save();
        session()->flash('success_msg', 'इन्वेंटरी सफलतापूर्वक प्राप्त कर ली गई है');
        return redirect()->back();
     }




    public function material_demand_list(){
        $requirement=Requirement::Where('status','1')->where('creator_id', Auth::user()->id)->get();
        return view('boothagent.material-demand-list', compact('requirement'));
    }


        /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function material_demand_store(Request $request)
    {
        $this->validate($request, [
          
            'category_name' => 'required',
         
            
        ]);

        $requirement = new Requirement;
        $requirement->category_id=Str::upper($request->category_name);
        $requirement->user_id=Str::upper($request->name);
        $requirement->quantity=$request->quantity;
        $requirement->date=$request->date;
        $requirement->remark=$request->remark;
        $requirement->status = 1;
        $requirement->unique_id=uniqid();
        $requirement->creator_id=Auth::user()->id;
        $requirement->save();  

        session()->flash('success_msg', 'नई आवश्यकता सफलतापूर्वक बनाई गई है');
        return redirect()->route('booth-material_demand_list');
    }
    
    public function notification(Request $request){
   $output = '';
        $info = Notification::where('status' ,'1')->where('user_id', Auth::user()->id)->pluck('notification_list_id')->toarray();
        if($info){
            $noti = Notifications_List::whereNotIn('id', $info)->where('user_id', Auth::user()->id)->get();
            $count = $noti->count();
          }else{
          $noti = Notifications_List::where('status', 1)->where('user_id', Auth::user()->id)->orderBy('id', 'desc')->take(10)->get();
         $count =$noti->count();
}
                   if($request->view) {
                       foreach($noti as $r){
                       $insert = new Notification;
                       $insert->user_id = Auth::user()->id;
                       $insert->notification_list_id = $r->id;
                       $insert->save();
                         $count = '';
                       }
}              
                   $noti = Notifications_List::where('status', 1)->where('user_id', Auth::user()->id)->orderBy('id', 'desc')->take(10)->get();
                   $image = asset('assets/user/images/icon-news.png');  
                   if($noti){
                   foreach($noti as $r){
                    if($r->task_id != null){
                        $title = 'New Task';
                        $route = 'taskreceived';
                    }
                    elseif($r->inventori_id != null){
                        $title = 'New Inventory';
                        $route = 'booth-material-received';
                    }
                       $output .= '<li>
                            <a href="'.route($route).'" class="notiynav_row">
                               <div class="notiynav_icon">
                                  <img src="'.$image.'" class="img-fluid" alt="Icon">
                               </div>
                               <div class="notiynav_data">
                                  <h5>'.$title.'</h5>
                                  <span>दिनांक '.$r->created_at->format('d-M-Y').'</span>
                               </div>
                            </a>
                         </li>';
                   }
                   } else{
                    $output .= '<li><span class="color:#fff">No Noti Found</span></li>';
                   }
$data = array(
   'notification' => $output,
   'unseen_notification'  => $count
);
return $data;
}

}
