<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\AboutVidhansabha;
use App\Models\Event;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class AboutVidhansabhaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $aboutvidhansabha=AboutVidhansabha::Where('status','1')->get();
        return view('superadmin.about _vidhan_sabha.index',compact('aboutvidhansabha'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.about _vidhan_sabha.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'description' => 'required',
            
        ]);
        $aboutvidhansabha=new AboutVidhansabha;
        $aboutvidhansabha->vidhansabha_id=$request->vidhansabha;
        $aboutvidhansabha->description=$request->description;
        $aboutvidhansabha->status='1';
        $aboutvidhansabha->unique_id=uniqid();
        if ($request->hasFile('vidhansabha_image')) {
			$image = $request->file('vidhansabha_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/vidhansabha_image');
			$image->move($destinationPath, $filename);
			$aboutvidhansabha->vidhansabha_image= "uploads/vidhansabha_image/" . $filename;
		}
        $aboutvidhansabha->save();

         session()->flash('success_msg', 'New Event has been created successfully');
         return redirect()->route('saavoutvidhansabha.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        $id=AboutVidhansabha::where('unique_id',$id)->value('id');
        $row=AboutVidhansabha::find($id);
        return view('superadmin.about _vidhan_sabha.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
          
        ]);
        $aboutvidhansabha=AboutVidhansabha::find($id);
        $aboutvidhansabha->vidhansabha_id=$request->vidhansabha;
        $aboutvidhansabha->description=$request->description;
        if ($request->hasFile('vidhansabha_image')) {
			$image = $request->file('vidhansabha_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/vidhansabha_image');
			$image->move($destinationPath, $filename);
			$aboutvidhansabha->vidhansabha_image= "uploads/vidhansabha_image/" . $filename;
		}
        $aboutvidhansabha->save();

         session()->flash('success_msg', 'Event has been updated successfully');
         return redirect()->route('saavoutvidhansabha.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
