<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\UserDetail;
use App\Models\VidhanSabha;
use App\Models\Candidate;
use App\Models\Post;
use Auth;
use Str;

class CandidateController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $candidate=Candidate::Where('status','1')->get();
        return view('superadmin.about_candidate.index',compact('candidate'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.about_candidate.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'candidate_name' => 'required',
            'dob' => 'required',
            'candidate_image' => 'required',
            
        ]);
        $candidate=new Candidate;
        $candidate->vidhansabha_id=$request->vidhansabha;
        $candidate->candidate_name=$request->candidate_name;
        $candidate->email=$request->email;
        $candidate->dob=$request->dob;
        $candidate->mobile_no=$request->mobile_no;
        $candidate->description=$request->description;
        $candidate->address=$request->address;
        $candidate->status='1';
        $candidate->unique_id=uniqid();
        if ($request->hasFile('candidate_image')) {
			$image = $request->file('candidate_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/candidate_image');
			$image->move($destinationPath, $filename);
			$candidate->candidate_image= "uploads/candidate_image/" . $filename;
		}
        $candidate->save();

         session()->flash('success_msg', 'New About Candidate has been created successfully');
         return redirect()->route('sacandidate.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        $id=Candidate::where('unique_id',$id)->value('id');
        $row=Candidate::find($id);
        return view('superadmin.about_candidate.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
            'candidate_name' => 'required',
            'dob' => 'required',
          
        ]);
        $candidate=Candidate::find($id);
        $candidate->vidhansabha_id=$request->vidhansabha;
        $candidate->candidate_name=$request->candidate_name;
        $candidate->email=$request->email;
        $candidate->dob=$request->dob;
        $candidate->mobile_no=$request->mobile_no;
        $candidate->description=$request->description;
        $candidate->address=$request->address;
        if ($request->hasFile('candidate_image')) {
			$image = $request->file('candidate_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/candidate_image');
			$image->move($destinationPath, $filename);
			$candidate->candidate_image= "uploads/candidate_image/" . $filename;
		}
        $candidate->save();

         session()->flash('success_msg', 'About Candidate has been updated successfully');
         return redirect()->route('sacandidate.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $candidate_id=Candidate::where('unique_id',$id)->value('id'); 
        $candidate=Candidate::find($candidate_id);
        $candidate->status="2";
        $candidate->save();
        
        session()->flash('success_msg', 'About Candidate has been deleted successfully');
        return back();
    }
}
