<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\News;
use App\Models\Download;
use App\Models\Event;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class DownloadController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $download=Download::Where('status','1')->get();
        return view('superadmin.download.index',compact('download'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
       
        return view('superadmin.download.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'pdf' => 'required|mimes:pdf|max:10000',
        
        ]);
        $download=new Download;
        $download->file_name= $request->file_name;
        if ($request->hasFile('pdf')) {
			$image = $request->file('pdf');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/pdf');
			$image->move($destinationPath, $filename);
			$download->pdf= "uploads/pdf/" . $filename;
		}
        $download->status='1';
        $download->unique_id=uniqid();
        $download->save();

         session()->flash('success_msg', 'New Uploade File has been created successfully');
         return redirect()->route('sadownload.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $download_id=News::where('unique_id',$id)->value('id'); 
        $download=News::find($download_id);
        $download->status="2";
        $download->save();
        
        session()->flash('success_msg', 'Uploaded File has been deleted successfully');
        return back();
    }
}
