<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\User;
use App\Models\Issues;
use App\Models\UserIssues;
use App\Models\UserDetail;
use Auth;
use Str;

class IssuesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $issues=Issues::Where('status','1')->get();
        $issuesname=UserIssues::Where('status','1')->get();
        return view('superadmin.issues.index',compact('issues','issuesname'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.issues.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
            'issues_name' => 'required',
         
        ]);

        $issues = new Issues;
        $issues->issues_name = $request->issues_name;
        $issues->status = 1;
        $issues->unique_id=uniqid();
        $issues->save(); 

        session()->flash('success_msg', 'New Issues has been created successfully');
        return redirect()->route('saissues.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Issues::where('unique_id',$id)->value('id');
        $row=Issues::findorfail($id);
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.issues.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [

            'issues_name' => 'required',
        ]);

        $issues =Issues::find($id);
        $issues->issues_name = $request->issues_name; 
        $issues->save();
  

        session()->flash('success_msg','Issues has been updated successfully');
        return redirect()->route('saissues.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $issues_id=Issues::where('unique_id',$id)->value('id');    
        $issues=Issues::find($issues_id);
        $issues->status="2";
        $issues->save();
        
        session()->flash('success_msg', 'Issues has been deleted successfully');
        return back();
    }
    
    
     /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function addIssues(Request $request, $id)
    {

        $issues =UserIssues::where('unique_id', $id)->value('issues_id');
         $issues1 =Issues::where('id', $issues)->first();
        $issues1->status = 1; 
        $issues1->save();
  

        session()->flash('success_msg','Issues has been Add successfully');
        return redirect()->route('saissues.index');
    }
}
