<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\News;
use App\Models\Event;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class NewsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $news=News::Where('status','1')->get();
        return view('superadmin.news.index',compact('news'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.news.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'title' => 'required',
            'news_date' => 'required',
            'news_description' => 'required',
            'news_image' => 'required',
        
            
        ]);
        $news=new News;
        $news->title=$request->title;
        $news->vidhansabha_id=$request->vidhansabha;
        $news->news_date=$request->news_date;
        $slug = Str::slug($request->title, '-');
        $news->news_slug = $slug;
        $news->news_description=$request->news_description;
        if ($request->hasFile('news_image')) {
			$image = $request->file('news_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/news_image');
			$image->move($destinationPath, $filename);
			$news->news_image= "uploads/news_image/" . $filename;
		}
        $news->creator_id=Auth::user()->id;
        $news->status='1';
        $news->unique_id=uniqid();
    
        $news->save();

         session()->flash('success_msg', 'New News has been created successfully');
         return redirect()->route('sanews.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        $id=News::where('unique_id',$id)->value('id');
        $row=News::find($id);
        return view('superadmin.news.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
            'title' => 'required',
          
        ]);
        $news=News::find($id);
        $news->vidhansabha_id=$request->vidhansabha;
        $news->news_date=$request->news_date;
        $news->title=$request->title;
        $slug = Str::slug($request->title, '-');
        $news->news_slug = $slug;
        $news->news_description=$request->news_description;
        if ($request->hasFile('news_image')) {
			$image = $request->file('news_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/news_image');
			$image->move($destinationPath, $filename);
			$news->news_image= "uploads/news_image/" . $filename;
		}
        $news->creator_id=Auth::user()->id;
        $news->save();

         session()->flash('success_msg', 'News has been updated successfully');
         return redirect()->route('sanews.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $news_id=News::where('unique_id',$id)->value('id'); 
        $news=News::find($news_id);
        $news->status="2";
        $news->save();
        
        session()->flash('success_msg', 'News has been deleted successfully');
        return back();
    }
}
