<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\UserDetail;
use App\Models\Post;
use Auth;
use Str;

class PostController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $post=Post::Where('status','1')->get();
        return view('superadmin.post.index',compact('post'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('superadmin.post.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'title' => 'required',
            'post_image' => 'required',
            'post_description' => 'required',
            
        ]);
        $post=new Post;
        $post->title=$request->title;
        $post->post_description=$request->post_description;
        $post->creator_id=Auth::user()->id;
        $post->status='1';
        $post->unique_id=uniqid();
        if ($request->hasFile('post_image')) {
			$image = $request->file('post_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/post_image');
			$image->move($destinationPath, $filename);
			$post->post_image= "uploads/post_image/" . $filename;
		}
        $post->save();

         session()->flash('success_msg', 'New Post has been created successfully');
         return redirect()->route('sapost.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Post::where('unique_id',$id)->value('id');
        $row=Post::find($id);
        return view('superadmin.post.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
            'title' => 'required',
            'post_description' => 'required',
          
        ]);
        $post=Post::find($id);
        $post->title=$request->title;
        $post->post_description=$request->post_description;
        if ($request->hasFile('post_image')) {
			$image = $request->file('post_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/post_image');
			$image->move($destinationPath, $filename);
			$post->post_image= "uploads/post_image/" . $filename;
		}
        $post->save();

         session()->flash('success_msg', 'Post has been updated successfully');
         return redirect()->route('sapost.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $post_id=Post::where('unique_id',$id)->value('id'); 
        $post=Post::find($post_id);
        $post->status="2";
        $post->save();
        
        session()->flash('success_msg', 'Post has been deleted successfully');
        return back();
    }
}
