<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\Schemes;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class SchemesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $schemes=Schemes::Where('status','1')->get();
        return view('superadmin.partyschemes.index',compact('schemes'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.partyschemes.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'schemes_name' => 'required',
       
        ]);
        $schemes=new Schemes;
        $schemes->schemes_name=$request->schemes_name;
        $schemes->type=$request->type;
        $schemes->vidhansabha_id=$request->vidhansabha;
        $schemes->creator_id=Auth::user()->id;
        $schemes->status='1';
        $schemes->unique_id=uniqid();
        $schemes->save();  session()->flash('success_msg', 'New Party Schemes has been created successfully');
         return redirect()->route('saschemes.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        $id=Schemes::where('unique_id',$id)->value('id');
        
        $row=Schemes::find($id);
        return view('superadmin.partyschemes.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
            'schemes_name' => 'required',
          
        ]);
        $schemes=Schemes::find($id);
        $schemes->schemes_name=$request->schemes_name;
        $schemes->type=$request->type;
        $schemes->creator_id=Auth::user()->id;
        $schemes->vidhansabha_id=$request->vidhansabha;
        $schemes->save();

         session()->flash('success_msg', 'Party Schemes has been updated successfully');
         return redirect()->route('saschemes.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $schemes_id=Schemes::where('unique_id',$id)->value('id'); 
        $schemes=Schemes::find($schemes_id);
        $schemes->status="2";
        $schemes->save();
        
        session()->flash('success_msg', 'Party Schemes has been deleted successfully');
        return back();
    }
}
