<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\News;
use App\Models\Event;
use App\Models\User;
use App\Models\UserDetail;
use App\Models\SocialMedia;
use Auth;
use Str;

class SocialMediaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $info=SocialMedia::Where('status','1')->where('link', '!=', null)->get();
        return view('superadmin.social_media.index',compact('info'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $socialmedia = SocialMedia::where('status' ,'1')->pluck('name', 'id')->toarray();
        return view('superadmin.social_media.create',compact('socialmedia'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request){
        $this->validate($request, [
            'id' => 'required',
            'link' => 'required', 
        ]);
        $social=SocialMedia::where('status', 1)->where('id', $request->id)->first();
        if(is_null($social)){
            return redirect()->back();
        }
        $social->link=$request->link;
        $social->save();

         session()->flash('success_msg', 'New social media has been created successfully');
         return redirect()->route('sasocial.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabha = SocialMedia::where('status' ,'1')->pluck('name', 'id')->toarray();
        $info=SocialMedia::where('id',$id)->first();
        return view('superadmin.social_media.edit',compact('info','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
         $this->validate($request, [
            'id' => 'required',
            'link' => 'required', 
        ]);
        $social=SocialMedia::where('status', 1)->where('id', $request->id)->first();
        if(is_null($social)){
            return redirect()->back();
        }
        $social->link=$request->link;
        $social->save();

         session()->flash('success_msg', 'Social media has been updated successfully');
         return redirect()->route('sasocial.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $news_id=SocialMedia::where('id',$id)->first();
         if(is_null($news_id)){
            return redirect()->back();
        }
        $news_id->status="2";
        $news_id->save();
        
        session()->flash('success_msg', 'Social media has been deleted successfully');
        return back();
    }
}
