<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\News;
use App\Models\Event;
use App\Models\StarCampaigner;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class StarcampaignerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $starcampaigner=Starcampaigner::Where('status','1')->get();
        return view('superadmin.star_campaigner.index',compact('starcampaigner'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.star_campaigner.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [

            'title' => 'required',
            'starcampaigner_name' => 'required',
            'starcampaigner_date' => 'required',
            'starcampaigner_description' => 'required',
            'starcampaigner_image' => 'required',
        
            
        ]);
        $starcampaigner=new Starcampaigner;
        $starcampaigner->title=$request->title;
        $starcampaigner->starcampaigner_name=$request->starcampaigner_name;
        $starcampaigner->vidhansabha_id=$request->vidhansabha;
        $starcampaigner->starcampaigner_date=$request->starcampaigner_date;
        $slug = Str::slug($request->title, '-');
        $starcampaigner->starcampaigner_slug = $slug;
        $starcampaigner->starcampaigner_description=$request->starcampaigner_description;
        if ($request->hasFile('starcampaigner_image')) {
			$image = $request->file('starcampaigner_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/starcampaigner_image');
			$image->move($destinationPath, $filename);
			$starcampaigner->starcampaigner_image= "uploads/starcampaigner_image/" . $filename;
		}
        $starcampaigner->creator_id=Auth::user()->id;
        $starcampaigner->status='1';
        $starcampaigner->unique_id=uniqid();
    
        $starcampaigner->save();

         session()->flash('success_msg', 'New Star Campaigner has been created successfully');
         return redirect()->route('sastarcampaigner.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        $id=Starcampaigner::where('unique_id',$id)->value('id');
        $row=Starcampaigner::find($id);
        return view('superadmin.star_campaigner.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            
            'title' => 'required',
          
        ]);
        $starcampaigner=Starcampaigner::find($id);
        $starcampaigner->vidhansabha_id=$request->vidhansabha;
        $starcampaigner->starcampaigner_date=$request->starcampaigner_date;
        $starcampaigner->title=$request->title;
        $starcampaigner->starcampaigner_name=$request->starcampaigner_name;
        $slug = Str::slug($request->title, '-');
        $starcampaigner->starcampaigner_slug = $slug;
        $starcampaigner->starcampaigner_description=$request->starcampaigner_description;
        if ($request->hasFile('starcampaigner_image')) {
			$image = $request->file('starcampaigner_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/starcampaigner_image');
			$image->move($destinationPath, $filename);
			$starcampaigner->starcampaigner_image= "uploads/starcampaigner_image/" . $filename;
		}
        $starcampaigner->creator_id=Auth::user()->id;
        $starcampaigner->save();

         session()->flash('success_msg', 'Star Campaigner has been updated successfully');
         return redirect()->route('sastarcampaigner.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $starcampaigner_id=Starcampaigner::where('unique_id',$id)->value('id'); 
        $starcampaigner=Starcampaigner::find($starcampaigner_id);
        $starcampaigner->status="2";
        $starcampaigner->save();
        
        session()->flash('success_msg', 'Star Campaigner has been deleted successfully');
        return back();
    }
}
