<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\User;
use App\Models\UserDetail;
use Str;

class VidhanSabhaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $vidhansabha=VidhanSabha::Where('status','1')->get();
        return view('superadmin.vidhansabha.index',compact('vidhansabha'));
    }

     /**
     * Show the form for creating bulk a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function bulkCreate()
    {
        return view('superadmin.vidhansabha.create_bulk');
    }




    /**
     * Store a newly created bulk resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function storeVidhanSabha(Request $request){
        $file_path = $request->file;
       $file = fopen($file_path, "r");
       $importData_arr = array();
       $i = 0;

       while (($filedata = fgetcsv($file, 1000, ",")) !== FALSE) {
           $num = count($filedata);

           // Skip first row (Remove below comment if you want to skip the first row)
           if ($i == 0) {
               $i++;
               continue;
           }
           for ($c = 0; $c < $num; $c++) {
               $importData_arr[$i][] = $filedata[$c];
           }
           $i++;
       }
       fclose($file);

       foreach ($importData_arr as $importData) {
       $user = new VidhanSabha;
       $user->vidhansabha=$importData[0];
       $user->status ='1';
       $user->unique_id=uniqid();
       $user->save();

       }
       session()->flash('success_msg', 'New VidhanSabha has been created successfully');
       redirect()->route('savidhansabha.index');
   }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function vidhanSabhasDownload()
    {
        return response()->download(public_path('forment/vidhan_sabhas.csv'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        
        return view('superadmin.vidhansabha.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            
            'vidhansabha' => 'required',
           
        ]);

         $vidhansabha=new VidhanSabha;
         $vidhansabha->vidhansabha=Str::upper($request->vidhansabha);
         $vidhansabha->status='1';
         $vidhansabha->unique_id=uniqid();
         $vidhansabha->save();

         session()->flash('success_msg', 'New VidhanSabha has been created successfully');
        //   $this->confermationzonehead();
          return redirect()->route('savidhansabha.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=VidhanSabha::where('unique_id',$id)->value('id');
        $row=VidhanSabha::find($id);
        return view('superadmin.vidhansabha.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'vidhansabha' => 'required',
            
        ]);
         $vidhansabha=VidhanSabha::find($id);;
         $vidhansabha->vidhansabha=Str::upper($request->vidhansabha);
        
         $vidhansabha->save();

         session()->flash('success_msg', 'VidhanSabha has been updated successfully');
         return redirect()->route('savidhansabha.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $vidhansabha_id=VidhanSabha::where('unique_id',$id)->value('id');    
        $vidhansabha=VidhanSabha::find($vidhansabha_id);
        $vidhansabha->status="2";
        $vidhansabha->save();
        
        session()->flash('success_msg', 'Vidhansabha has been deleted successfully');
        return back();
    }
}
