<?php

namespace App\Http\Controllers\superadmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\VoterList;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class VoterListController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $voterlist=VoterList::Where('status','1')->get();
        return view('superadmin.voterlist.index',compact('voterlist'));
    }


    /**
     * Store a newly created bulk resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function storeVoterlist(Request $request){
        $file_path = $request->file;
       $file = fopen($file_path, "r");
       $importData_arr = array();
       $i = 0;

       while (($filedata = fgetcsv($file, 1000, ",")) !== FALSE) {
           $num = count($filedata);

           // Skip first row (Remove below comment if you want to skip the first row)
           if ($i == 0) {
               $i++;
               continue;
           }
           for ($c = 0; $c < $num; $c++) {
               $importData_arr[$i][] = $filedata[$c];
           }
           $i++;
       }
       fclose($file);

       foreach ($importData_arr as $importData) {
       dd($importData);
       $user = new VoterList;
       $user->vidhansabha_id=$importData['1'];
       $user->name = $importData[2];
       $user->father_name = $importData[3];
       $user->email = $importData[4];
       $user->block_name = $importData[5];
       $user->booth_name = $importData[6];
       $user->phone_no = $importData[7];
       $user->age = $importData[8];
       $user->sex = $importData[9];
       $user->voter_id = $importData[10];
       $user->Plot_no = $importData[11];
       $user->colony_name = $importData[12];
       $user->area_name = $importData[13];
       $user->created_by = "1";
       $user->status ='1';
       $user->unique_id=uniqid();
       $user->password = bcrypt($importData[1]);
       $user->assignRole('leader');
       $user->save();

       $user_detail = new UserDetails;
       $user_detail->company_id="2";
       $user_detail->user_id=$user->id;
       $user_detail->created_by="1";
       $user_detail->dob= $importData[4];
       $user_detail->address= $importData[5];
       $user_detail->city= $importData[6];
       $user_detail->pincode= $importData[7];
       $user_detail->state= $importData[8];
       $user_detail->pan_no= $request->pan_no;
       $user_detail->registration_code= $user->unique_id;

       $user_detail->save();

           //   dd($updatebill);

       }
           return back();
   }


    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.voterlist.create',compact('vidhansabha'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // dd($request->all());
        $this->validate($request, [
          
            'name' => 'required',
         
            
        ]);

        $voterlist = new VoterList;
        $voterlist->vidhansabha_id=$request->vidhansabha;    
        $voterlist->name=Str::upper($request->name);
        $voterlist->father_name=Str::upper($request->father_name);
        $voterlist->email = $request->email;
        $voterlist->block_name = $request->block_name;
        $voterlist->booth_name = $request->booth_name;
        $voterlist->phone_no = $request->phone_no;
        $voterlist->age = $request->age;
        $voterlist->sex = $request->sex;
        $voterlist->voter_id = $request->voter_id;
        $voterlist->Plot_no = $request->Plot_no;
        $voterlist->colony_name = $request->colony_name;
        $voterlist->area_name = $request->area_name;
        $voterlist->pin_code = $request->pin_code;
        $voterlist->other_id = $request->other_id;
        $voterlist->otherid_no = $request->otherid_no;
        $voterlist->creator_id=Auth::user()->id;
        $voterlist->status = 1;
        $voterlist->unique_id=uniqid();
        if ($request->hasFile('voterlist_image')) {
			$image = $request->file('voterlist_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/voterlist_image');
			$image->move($destinationPath, $filename);
			$voterlist->voterlist_image= "uploads/voterlist_image/" . $filename;
		}
        $voterlist->save();
   

        session()->flash('success_msg', 'New Admin has been created successfully');
        return redirect()->route('savoterlist.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=VoterList::where('unique_id',$id)->value('id');
        $row=VoterList::findorfail($id);
        $vidhansabha = VidhanSabha::where('status' ,'1')->pluck('vidhansabha', 'id')->toarray();
        return view('superadmin.voterlist.edit',compact('row','vidhansabha'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
         
            
        ]);

        $voterlist =VoterList::find($id);
        $voterlist->vidhansabha_id=$request->vidhansabha;    
        $voterlist->name=Str::upper($request->name);
        $voterlist->father_name=Str::upper($request->father_name);
        $voterlist->email = $request->email;
        $voterlist->block_name = $request->block_name;
        $voterlist->booth_name = $request->booth_name;
        $voterlist->phone_no = $request->phone_no;
        $voterlist->age = $request->age;
        $voterlist->sex = $request->sex;
        $voterlist->voter_id = $request->voter_id;
        $voterlist->Plot_no = $request->Plot_no;
        $voterlist->colony_name = $request->colony_name;
        $voterlist->area_name = $request->area_name;
        $voterlist->pin_code = $request->pin_code;
        $voterlist->other_id = $request->other_id;
        $voterlist->otherid_no = $request->otherid_no;
        $voterlist->creator_id=Auth::user()->id;
        $voterlist->status = 1;
        $voterlist->unique_id=uniqid();
        if ($request->hasFile('voterlist_image')) {
			$image = $request->file('voterlist_image');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/voterlist_image');
			$image->move($destinationPath, $filename);
			$voterlist->voterlist_image= "uploads/voterlist_image/" . $filename;
		}
        $voterlist->save();   

        session()->flash('success_msg','Voter List has been updated successfully');
        return redirect()->route('savoterlist.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $voterlist_id=VoterList::where('unique_id',$id)->value('id');    
        $voterlist=VoterList::find($voterlist_id);
        $voterlist->status="2";
        $voterlist->save();
        
        session()->flash('success_msg', 'Voter List has been deleted successfully');
        return back();
    }
}
