<?php

namespace App\Http\Controllers\user;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\VidhanSabha;
use App\Models\AboutVidhansabha;
use App\Models\Event;
use App\Models\Candidate;
use App\Models\StarCampaigner;
use App\Models\News;
use App\Models\User;
use App\Models\Gallery;
use App\Models\Issues;
use App\Models\UserIssues;
use App\Models\UserDetail;
use App\Models\VoterList;
use App\Models\Schemes;
use App\Models\Download;
use App\Models\Notification;
use App\Models\SocialMedia;
use Validator;
use Auth;
use Str,Response;

class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $starcampaigner=StarCampaigner::Where('status','1')->get();
        $candidate=Candidate::Where('status','1')->get();
        $news=News::Where('status','1')->get();
        $aboutvidhansabha=AboutVidhansabha::Where('status','1')->get();
        return view('user.home',compact('aboutvidhansabha','news','candidate','starcampaigner'));
    }

    public function about_vidhan_sabha()
    { 
        $aboutvidhansabha= AboutVidhansabha::orderBy('id','DESC')->where('status',1)->get();
        return view('about_vidhan_sabha',compact('aboutvidhansabha'));
    }
     public function aboutvidhansabhadetails($description)
    {
        $aboutvidhansabha=AboutVidhansabha::where('status',1)->first();
        return view('aboutvidhansabha_details',compact('aboutvidhansabha'));
    }
    public function booth()
    {
        $booth=VoterList::where('status',1)->get();
        return view('user.booth',compact('booth'));
    }
    public function boothdetails(Request $request)
    {
        $request->validate([
            'voter_id' => 'required',
        ]);
        $booth=VoterList::where('status',1)->where('voter_id', 'like', $request->voter_id)->first();
        if(is_null($booth)){
            session()->flash('danger_msg', 'रिकोड नहीं मिला..');
            return redirect()->back();
        }
        return view('user.boothdetails',compact('booth'));
    }
     public function vidhansabhadetails()
    {
        $aboutvidhansabha=AboutVidhansabha::Where('status','1')->get();
        return view('user.my-vidhansabha',compact('aboutvidhansabha'));
    }
    
    public function news()
    {
        $news=News::where('status',1)->get();
        return view('user.news',compact('news'));
    }
    public function newsdetails($slug)
    {
        $news=News::where('status',1)->where('news_slug', $slug)->first();
        return view('user.newsdetails',compact('news'));
    }
    public function candidatedetails($unique_id)
    {
     $candidate=Candidate::where('status',1)->first();
        return view('aboutcandidate_details',compact('candidate'));
    }
    public function starcampaignerdetails($slug)
   {
    $starcampaigner=StarCampaigner::where('starcampaigner_slug',$slug)->first();
       return view('starcampaigner_details',compact('starcampaigner'));
   }
   public function gallerydetails()
   {
    $gallery=Gallery::orderBy('id','DESC')->Where('status','1')->get();
       return view('user.gallery_details',compact('gallery'));
   }
   
   public function partyplans()
   {
    $partyplans=Schemes::Where('status','1')->where('type', 'party')->get();
    $partyplans1=Schemes::Where('status','1')->where('type', 'opposation')->get();
       return view('user.party-plans',compact('partyplans','partyplans1'));
   }
   public function celebrity()
   {
    $celebrity = StarCampaigner::where('status', 1)->get();
       return view('user.celebrity-guest', compact('celebrity'));
   }


   public function celebritydetails($id)
   {
       $celebrity=StarCampaigner::where('status',1)->where('starcampaigner_slug', $id)->first();
       return view('user.celebrity-guest-details',compact('celebrity'));
   }

   public function JoinUs()
   {
       $mobile_no = Candidate::where('status', 1)->first();
       return view('user.Join-us', compact('mobile_no'));
   }

   public function socialMedia()
   {
       $info = SocialMedia::where('status', 1)->where('link', '!=', null)->get();
       return view('user.social-media', compact('info'));
   }
   public function vidhayakProfile()
   {
    $candidate = Candidate::where('status', 1)->first();
       return view('user.vidhayak-profile', compact('candidate'));
   }



   public function fileDownload()
   {
    $download = Download::where('status', 1)->get();
       return view('user.downloads', compact('download'));
   }

   public function download($id)
    {
        $id=Download::where('unique_id',$id)->first();
        if(is_null($id)){
            session()->flash('danger_msg', 'कुछ गलत हो गया, कृपया फिर से प्रयास करें');
            return redirect()->back();
        }
        return response()->download(public_path($id->pdf));
    }

   
   
   public function yourArea(){
       $issues=Issues::where('status',1)->get();
    return view('user.your-area',compact('issues'));
}
   public function profile(){
    $user = VidhanSabha::where('status', 1)->where('id', Auth::user()->id)->first();
    return view('user.profile_upadet', compact('user'));
}


public function postProfile(Request $request, $unique_id){
    $request->validate([
        'name' => 'required',
        'vidhansabha' => 'required'
    ]);
    $info = User::where('unique_id', $unique_id)->first();
    if(is_null($info)){
        session()->flash('danger_msg', 'कुछ गलत हो गया, कृपया फिर से प्रयास करें');
        return redirect()->back();
       }
       $info->name = $request->name;
        $info->vidhansabha_id = $request->vidhansabha;
        $info->save();
         
         
         $userDetail = UserDetail::where('user_id', $info->id)->first();
        if(is_null($userDetail)){
            $userdetail = new UserDetail;
       $userdetail->user_id = $info->id;
       $userdetail->booth_name = $request->booth_name;
       $userdetail->pincode = $request->pincode;
       $userdetail->block_name = $request->block_name;
       $userdetail->save();
        }
       $userDetail->booth_name = $request->booth_name;
       $userDetail->pincode = $request->pincode;
       $userDetail->block_name = $request->block_name;
       $userDetail->save();
        session()->flash('success_msg', 'आपका प्रोफ़ाइल सफलतापूर्वक बदल गया है');
       return redirect()->back();
}

public function userissues(Request $request){
    // dd($request->all());
    $request->validate([
    ]);
  
       $userissues = new UserIssues;
       if(empty($request->issueid)){
            $userissues->issues_name = 'शिक्षा';
       }else{
             $userissues->issues_name = $request->issueid;
       }
       $userissues->vidhansabha_id =$request->vidhansabha_id;
       $userissues->user_id =$request->user_id;
       $userissues->description = $request->description;
       $userissues->vidhansabha = $request->vidhansabha;
       $userissues->mera_booth = $request->mera_booth;
       $userissues->mera_chetr = $request->mera_chetr;
       $userissues->status = 1;
       $userissues->unique_id=uniqid();
       $userissues->save();
      
       session()->flash('success_msg', 'अपना सुझाव देने के लिए धन्यवाद');
       return redirect('user/your-area');
}
public function usersuggestion(Request $request){
    // dd($request->all());
    $request->validate([
    ]);
  
       $issues= new Issues;
       $issues->user_id =$request->user_id;
       $issues->issues_name =$request->issues_name;
       $issues->status = 2;
       $issues->unique_id=uniqid();
       $issues->save();
  
       $userissues = new UserIssues;
       $userissues->issues_id =$issues->id;
       $userissues->vidhansabha_id =$request->vidhansabha_id;
       $userissues->user_id =$request->user_id;
       $userissues->issues_name =$request->issues_name;
       $userissues->description = $request->description;
       $userissues->vidhansabha = $request->vidhansabha;
       $userissues->mera_booth = $request->mera_booth;
       $userissues->mera_chetr = $request->mera_chetr;
       $userissues->mera_chetr = $request->mera_chetr;
       $userissues->status = 1;
       $userissues->unique_id=uniqid();
       $userissues->save();
       session()->flash('success_msg', 'अपना सुझाव देने के लिए धन्यवाद');
       return redirect('user/your-area');
}



public function notification(Request $request){
    $info = Notification::where('status' ,'1')->where('user_id', Auth::user()->id)->pluck('news_id')->toarray();
                   $output = '';
                   $count = '';
    if($info){
                   $news = News::where('status', 1)->whereNotIn('id', $info)->get();
                   $count = $news->count();
    }else{
         $news = News::where('status', 1)->orderBy('id', 'desc')->take(10)->get();
         $count =$news->count();
    }
                   if($request->view) {
                       foreach($news as $r){
                       $insert = new Notification;
                       $insert->user_id = Auth::user()->id;
                       $insert->news_id = $r->id;
                       $insert->save();
                         $count = '';
                       }
}                  
                   $new = News::where('status', 1)->orderBy('id', 'desc')->take(10)->get();
                   $image = asset('assets/user/images/icon-news.png');  
                   if($new){
                   foreach($new as $r){
                       $output .= '<li>
                            <a href="'.route('userNewsDetails',$r->news_slug).'" class="notiynav_row">
                               <div class="notiynav_icon">
                                  <img src="'.$image.'" class="img-fluid" alt="Icon">
                               </div>
                               <div class="notiynav_data">
                                  <h5>'.$r->title.'</h5>
                                  <span>दिनांक '.date('d-M-Y', strtotime($r->news_date)) .'</span>
                               </div>
                            </a>
                         </li>';
                   }
                   } else{
                    $output .= '<li><span class="color:#fff">No Noti Found</span></li>';
                   }
$data = array(
   'notification' => $output,
   'unseen_notification'  => $count
);
return Response::json($data);
}
}
