
@extends('admin.layout.app')
@section('title','Booth Agent - Index')
@push('headerscript')
<link href="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('theme/plugins/datatables/responsive.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
<link href="{{ asset('theme/plugins/datatables/dataTables.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
@endpush
@section('content')
<!-- ============================================================== -->
<!-- Start right Content here -->
<!-- ============================================================== -->
<div class="content-page">
    <!-- Start content -->
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="page-title-box">
                        <h4 class="page-title">Booth Agent</h4>
                        <a href="{{ route('aboothagent.create') }}" class="btn btn-primary btn-sm pull-right"><i
                            class="fa fa-plus"></i> Add Booth Agent</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0"
                                width="100%" id="datatables">
                                <thead>
                                    <tr>
                                        <th>S.NO.</th>
                                        <th>Vidhan Sabha Name</th>
                                        <th>Booth Name</th>
                                        <th>Booth Agent Name</th>
                                        <th>Mobile No.</th>
                                        <th>Communication</th>
                                        <th>creator</th>
                                        <th style="text-align: center">Action</th> 
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($boothagent as $r)
                                    <tr>
                
                                        <td class="product-p">
                                            <span class="product-price-wrapper">
                                                <span class="">{{ $loop->iteration }}</span>
                                            </span>
                                        </td>
                               
                                        @php
                                        $udetails=App\Models\UserDetail::where('user_id',$r->id)->first();
                                    @endphp
                                    @php
                                    $vidhansabha=App\Models\VidhanSabha::where('id',$r->vidhansabha_id)->value('vidhansabha');
                               @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $vidhansabha}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $udetails->booth_name}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                        <span class="product-price-wrapper">
                                         
                                            {{ $r->name}}
                                       </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                     
                                            {{ $r->mobile_number}}
                                            </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                                <a href="tel:{{$r->mobile_number}}"><img src="{{ asset('theme/default/assets/images/phoneicon.jpg')}}" width="25" hight="25" alt="" /></a>
                                                <a href="https://wa.me/91{{$r->mobile_number}}" target="_blank"><img src="{{ asset('theme/default/assets/images/whatsapp.png')}}" width="20" hight="20" alt="" /></a>
                                                {{-- <a href="{{$udetails->phone_no}}" target="_blank"><i class="fa fa-envelope"></i></a> --}}
                                            
                                           
                                            </span>
                                        </td>

                                        @php
                                        $name=App\Models\User::where('id',$udetails->creator_id)->value('name');
                                        @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $name }}
                                            </span>
                                        </td>
                                     
                                        <td class="product-remove text-center"><a href="{{ route('aboothagent.edit',$r->unique_id) }}" class="btn btn-info btn-xs"><i class="ti-pencil ml-2 font-xs text-grey-500"></i> Edit </a>
                                            <a href="{{ url('admin/boothagentDelete',$r->unique_id) }}" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete </a></td>                                                
                                       
                                    </tr>
                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- container -->
    </div> <!-- content -->
</div>
@endsection
@push('footerscript')
<script src="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.responsive.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.bootstrap.js')}}"></script>

<script>

    $("#datatables").dataTable();
</script>

@endpush