@extends('admin.layout.app')
@section('title', 'Election Portal - Edit Gallery')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Edit Gallery</h4>
                            <a href="{{ route('agallery.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    @php
                                        $data=App\Models\UserDetail::where('user_id',$row->id)->first();
                                    @endphp
                                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['agallery.update', $row->id]]) !!}
                                    @csrf
                                    <div class="row form-group">
                                        <div class="col-sm-6 form-group">
                                            <label>Event Name<span class="text-danger"> </span></label>
                                            <input type="event_name" class="form-control" name="event_name"
                                            value="{{ old('event_name',$row->event_name) }}">
                                            <div class="text-danger">{{ $errors->first('event_name')}}</div>
                                        </div>
                                        <div class="col-sm-6 form-group">
                                            <label>Video Link<span class="text-danger"></span></label>
                                            <input type="video_link" class="form-control" name="video_link"
                                            value="{{ old('video_link',$row->video_link) }}">
                                            <div class="text-danger">{{ $errors->first('video_link')}}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-6 form-group">
                                            <label>Image Path</label>
                                            <input type="file" class="form-control" onchange="loadimageFile(event, 'galleryimage')" accept="image/*" name="image_path"
                                            value="{{ old('image_path') }}">
                                            <div class="text-danger">{{ $errors->first('image_path')}}</div>
                                        </div>
                                        <div class="col-sm-6">
                                            <img src="{{ asset($row->image_path) }}" width="150" id="galleryimage" alt="">
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-12">
                                            <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                            <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
    <script>
        var loadimageFile = function (event, imgid) {
          var output = document.getElementById(imgid);
          output.src = URL.createObjectURL(event.target.files[0]);
        };
        
          function hide() {
              document.getElementById('submit_btn').style.display = 'none'
          }   
      </script>
@endpush
