
@extends('admin.layout.app')
@section('title','Inventory - Index')
@push('headerscript')
<link href="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('theme/plugins/datatables/responsive.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
<link href="{{ asset('theme/plugins/datatables/dataTables.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
@endpush
@section('content')
<!-- ============================================================== -->
<!-- Start right Content here -->
<!-- ============================================================== -->
<div class="content-page">
    <!-- Start content -->
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="page-title-box">
                        <h4 class="page-title">Receive Inventory</h4>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0"
                                width="100%" id="datatables">
                                <thead>
                                    <tr>
                                        <th>S.NO.</th>
                                        <th>Vidhan Sabha Name</th>
                                        <th>Category Name</th>
                                        <th>User Name</th>
                                        <th>Quantity</th>
                                        <th>Date</th>
                                        <th>creator</th>
                                        <th>Receive</th>
                                        {{-- <th style="text-align: center">Action</th> --}}
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($inventory as $r)
                                    <tr>

                                        <td class="product-p">
                                            <span class="product-price-wrapper">
                                                <span class="">{{ $loop->iteration }}</span>
                                            </span>
                                        </td>

                                        @php
                                        $udetails=App\Models\UserDetail::where('user_id',$r->id)->first();
                                    @endphp
                                    @php
                                    $vidhansabha=App\Models\VidhanSabha::where('id',$r->vidhansabha_id)->value('vidhansabha');
                               @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $vidhansabha}}
                                           </span>
                                       </td>
                                       @php
                                       $category=App\Models\Category::where('id',$r->category_id)->value('category_name');
                                  @endphp
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $category}}
                                           </span>
                                       </td>
                                       @php
                                       $user=App\Models\User::where('id',$r->user_id)->value('name');
                                  @endphp
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $user}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                        <span class="product-price-wrapper">

                                            {{ $r->quantity}}
                                       </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ date('d-m-Y', strtotime($r->date)) }}
                                            </span>
                                        </td>
                                        @php
                                        $name=App\Models\User::where('id',$r->creator_id)->value('name');
                                        @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $name }}
                                            </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            @if($r->received == 1)
                                                <button class="btn btn-danger btn-xs waves-effect waves-light" data-toggle="modal" data-target="#con-close-modal">receive</button>
                                            @elseif($r->received == 2)
                                            <button class="btn btn-success btn-xs">received</button>
                                            @endif
                                        </td>
                                        <div id="con-close-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        <h4 class="modal-title">About Received</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form action="{{route('receivedInventory',$r->unique_id)}}" method="post">
                                                            @csrf
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <textarea name="remark" type="text" class="form-control" id="field-1" placeholder="Type massege"></textarea>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-info waves-effect waves-light">Submit</button>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        {{-- <td class="product-remove text-center"><a href="{{ route('sainventory.edit',$r->unique_id) }}" class="btn btn-info btn-xs"><i class="ti-pencil ml-2 font-xs text-grey-500"></i> Edit </a>
                                            <a href="{{ url('superadmin/inventoryDelete',$r->unique_id) }}" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete </a></td> --}}

                                    </tr>

                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12">
                    <div class="page-title-box">
                        <h4 class="page-title">Send Inventory</h4>
                        <a href="{{ route('ainventory.create') }}" class="btn btn-primary btn-sm pull-right"><i
                            class="fa fa-plus"></i> Add Inventory</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0"
                                width="100%" id="datatables1">
                                <thead>
                                    <tr>
                                        <th>S.NO.</th>
                                        <th>Vidhan Sabha Name</th>
                                        <th>Category Name</th>
                                        <th>User Name</th>
                                        <th>Quantity</th>
                                        <th>Date</th>
                                        <th>creator</th>
                                        <th>Receive</th>
                                        <th style="text-align: center">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($inventoryList as $r)
                                    <tr>

                                        <td class="product-p">
                                            <span class="product-price-wrapper">
                                                <span class="">{{ $loop->iteration }}</span>
                                            </span>
                                        </td>

                                        @php
                                        $udetails=App\Models\UserDetail::where('user_id',$r->id)->first();
                                    @endphp
                                    @php
                                    $vidhansabha=App\Models\VidhanSabha::where('id',$r->vidhansabha_id)->value('vidhansabha');
                               @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $vidhansabha}}
                                           </span>
                                       </td>
                                       @php
                                       $category=App\Models\Category::where('id',$r->category_id)->value('category_name');
                                  @endphp
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $category}}
                                           </span>
                                       </td>
                                       @php
                                       $user=App\Models\User::where('id',$r->user_id)->value('name');
                                  @endphp
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $user}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                        <span class="product-price-wrapper">

                                            {{ $r->quantity}}
                                       </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ date('d-m-Y', strtotime($r->date)) }}
                                            </span>
                                        </td>
                                        @php
                                        $name=App\Models\User::where('id',$r->creator_id)->value('name');
                                        @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $name }}
                                            </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            @if($r->received == 1)
                                                <button type="submit" class="btn btn-danger btn-xs">non receive</button>
                                            @elseif($r->received == 2)
                                            <button class="btn btn-success btn-xs">received</button>
                                            @endif
                                        </td>
                                        @if($r->received == 1)
                                        <td class="product-remove text-center"><a href="{{ route('ainventory.edit',$r->unique_id) }}" class="btn btn-info btn-xs"><i class="ti-pencil ml-2 font-xs text-grey-500"></i> Edit </a>
                                            <a href="{{ url('superadmin/inventoryDelete',$r->unique_id) }}" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete </a></td>
                                            @elseif($r->received == 2)
                                            <td class="product-headline text-left wide-column">
                                            <button class="btn btn-success btn-xs">complete</button>
                                            </td>
                                            @endif

                                    </tr>

                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- container -->
    </div> <!-- content -->
</div>

@endsection
@push('footerscript')
<script src="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.responsive.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.bootstrap.js')}}"></script>

<script>

    $("#datatables").dataTable();
    $("#datatables1").dataTable();
</script>

@endpush

