@extends('admin.layout.app')
@section('title', 'Election Portal - Create Party Schemes')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Create Party Schemes</h4>
                            <a href="{{ route('aschemes.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    <form action="{{ route('aschemes.store') }}" method="post" class="form-horizontal" enctype="multipart/form-data">
                                   
                                        @csrf
                                        <div class="row form-group">
                                            <div class="col-sm-12">
                                                <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                                {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha'),array('class'=>'form-control chosen','required'))  !!}
                                                <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <label>Party <span class="text-danger">*</span></label>
                                                <select class="form-control form-select" name="type" required="">
                                                    <option value="">Select Your Party</option>
                                                    <option value="party">Party</option>
                                                    <option value="opposation">Opposation Party</option>
                                                </select>
                                                <div class="text-danger">{{ $errors->first('type') }}</div>
                                            </div>
                                            <div class="col-sm-6">
                                                <label>Party Schemes<span class="text-danger"></span></label>
                                                <textarea class="ckeditor"   name="schemes_name" required="">{{ old('schemes_name') }}</textarea>
                                                <div class="text-danger">{{ $errors->first('schemes_name')}}</div>
                                            </div>
                                        </div>  
                                        <div class="row form-group">
                                            <div class="col-sm-12">
                                                <button name="submitBtn" class="btn btn-success"
                                                    type="submit">Save</button>
                                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
<script>
    var loadimageFile = function (event, imgid) {
      var output = document.getElementById(imgid);
      output.src = URL.createObjectURL(event.target.files[0]);
    };
    
      function hide() {
          document.getElementById('submit_btn').style.display = 'none'
      }   
  </script>

@endpush
