@extends('admin.layout.app')
@section('title', 'Election Portal - Edit Post')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Edit Post</h4>
                            <a href="{{ route('apost.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['apost.update', $row->id]]) !!}
                                    @csrf

                                    <div class="row form-group">
                   
                                        <div class="col-sm-6">
                                         <label>Title<span class="text-danger">* </span></label>
                                         <input type="text" class="form-control" name="title"
                                             required="" value="{{ old('title',$row->title) }}">
                                         <div class="text-danger">{{ $errors->first('title') }}</div>
                                     </div>
                                     <div class="col-sm-6">
                                         <label>Image<span class="text-danger"></span></label>
                                         <input type="file"  onchange="loadimageFile(event, 'galleryimage')" accept="image/*"  class="form-control" name="post_image"
                                             value="{{ old('post_image',$row->post_image) }}">
                                         <div class="text-danger">{{ $errors->first('post_image') }}</div>
                                     </div>
                                     <div class="col-sm-6">
                                         <img src="{{ asset($row->post_image) }}" width="150" id="galleryimage">
                                       </div>
                                 </div>
                                 <div class="row form-group">
                                     
                                     <div class="col-sm-12">
                                         <label>Description<span class="text-danger"></span></label>
                                         <textarea class="ckeditor"   name="post_description" required="">{{ old('post_description',$row->post_description) }}</textarea>
                                         <div class="text-danger">{{ $errors->first('post_description')}}</div>
                                     </div>
                                 </div>
                                    <div class="row form-group">
                                        <div class="col-sm-12">
                                            <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                            <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
   
 <script>
	$("#category_id").on('change',function(){
		var category_id=$('#category_id').val();
		$.ajax({
			url: "{{ url('admin/catListbysubcategory') }}/"+category_id,
			type: 'get',
			dataType: "json",
			success:function(data){
                $('select[name="subcategory_name"]').empty();
                $('select[name="subcategory_name"]').append('<option value="" >--Select Sub Category--</option>');
				$.each(data, function(key, value) {
					$('select[name="subcategory_name"]').append('<option value="'+ key +'">'+ value +'</option>');
				});
			}
		});
	});
</script>
<script>
        var loadimageFile = function (event, imgid) {
          var output = document.getElementById(imgid);
          output.src = URL.createObjectURL(event.target.files[0]);
        };
        
          function hide() {
              document.getElementById('submit_btn').style.display = 'none'
          }   
      </script>
@endpush
