<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <meta name="theme-color" content="#ffffff">
      <meta name="robots" content="noindex">
      <meta name="robots" content="nofollow">      
      <meta name="author" content="Election Poll Campaign">
      <meta name="keywords"  content="Election Poll Campaign">
      <meta name="Resource-type" content="Document">
      <title>लॉगिन</title>
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/bootstrap.min.css')}}">
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/aos.css')}}">
      <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/style.css')}}">
      @stack('headerscript')
   </head>
   


<body>
<div class="resetpassword loginupdate">
    <div class="container">
       <div class="heading_row" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="1000">
          <h2 class="headingmain1">लॉगिन</h2>
       </div>
       <div class="login-form commonform">
           @if(\Session::get('success'))

       <div class="login-form commonform">
           <div class="alert alert-success alert-dismissible fade show" role="alert">
    <div class="alert-body">
        {{ \Session::get('success') }}
    </div>
</div>
@endif
{{ \Session::forget('success') }}
@if(\Session::get('error'))
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <div class="alert-body">
        {{ \Session::get('error') }}
    </div>
</div>
@endif
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
          <form action="{{route('login')}}" method="post">
            @csrf
             <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                <label for="phonenumber"><img src="{{asset('assets/user/images/mobileicon.svg')}}" class="img-fluid" alt="Mobile"></label>
                <input type="text" name="mobile_number" id="phonenumber" value="{{old('mobile_number')}}"  class="form-control number" maxlength="10" minlength="10" placeholder="मोबाइल नंबर" required="">
                
               </div>
             <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                <label for="enterpassword"><img src="{{asset('assets/user/images/passwordimcon.png')}}" class="img-fluid" alt="Mobile"></label>
                <input type="password" name="password" id="enterpassword" value="{{old('password')}}" class="form-control" placeholder="पासवर्ड" required="">
             </div>
             <div class="loginbtn text-center" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="900">
                <!-- <button type="submit" class="btn bgcolorbtn"><span>Login</span></button> -->
                <button class="btn bgcolorbtn"><span>लॉगिन करे</span><i class="fa-solid fa-arrow-right"></i></button>
             </div>
             <div class="twologinbtns" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="900">
                <a href="{{route('register')}}" class="btn bgcolorbtn">नया अकाउंट बनाये</a>
                <a href="{{route('password.request')}}" class="btn bgcolorbtn forgetbtn">पासवर्ड भूल गए?</a>
             </div>
          </form>
       </div>
    </div>
 </div>
 <!-- END wrapper -->
<script src="{{asset('assets/user/js/jquery-2.2.4.min.js')}}"></script>
<script src="{{asset('assets/user/js/popper.min.js')}}"></script>
<script src="{{asset('assets/user/js/bootstrap.min.js')}}"></script>
<script src="{{asset('assets/user/js/aos.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/js/all.min.js"></script>
<script>
   // Aos Animation
   AOS.init({
      once: true,
      easing: 'ease-in-out-sine'
   });
</script>
<script>
   $('.number').keyup(function(e) {
       if (/\D/g.test(this.value)) {
           this.value = this.value.replace(/\D/g, '');
       }
   });
</script>
</body>
</html>
