<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <meta name="theme-color" content="#ffffff">
      <meta name="robots" content="noindex">
      <meta name="robots" content="nofollow">      
      <meta name="author" content="Election Poll Campaign">
      <meta name="keywords"  content="Election Poll Campaign">
      <meta name="Resource-type" content="Document">
      <title>रजिस्टर</title>
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/bootstrap.min.css')}}">
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/aos.css')}}">
      <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/style.css')}}">
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/select2.min.css')}}">
      <!-- favicon -->
      <!-- <link rel="icon" type="image/png" href="images/favicon.png"> -->
   </head>
   <body>


      <div class="loginscreen registerscreen">
         <div class="container">
            <div class="heading_row" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
               <h2 class="headingmain1">रजिस्टर</h2>
            </div>
            @if(\Session::get('success'))
<div class="alert alert-success alert-dismissible fade show" role="alert">
    <div class="alert-body">
        {{ \Session::get('success') }}
    </div>
</div>
@endif
{{ \Session::forget('success') }}
@if(\Session::get('error'))
<div class="alert alert-danger alert-dismissible fade show" role="alert">
    <div class="alert-body">
        {{ \Session::get('error') }}
    </div>
</div>
@endif
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif


            <div class="login-form commonform">
               <form action="{{route('Register_post')}}" method="post">
                @csrf
                <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                     <label for="fullname"><img src="{{asset('assets/user/images/profileicon1.svg')}}" class="img-fluid" alt="Icon"></label>
                     <input type="text" name="name" value="{{old('name')}}" id="fullname" class="form-control" placeholder="नाम" required="">
                  </div>
                  <div class="form-group" data-aos="zoom-in" data-aos-easing="linear" data-aos-duration="900">
                     <label for="mnumber"><img src="{{asset('assets/user/images/mobileicon.svg')}}" class="img-fluid" alt="Mobile"></label>
                     <input type="text" name="mobile_number"  value="{{old('mobile_number')}}" id="mnumber" class="form-control number" minlength="10" maxlength="10" placeholder="मोबाइल नंबर" required="">
                  </div>
                  @php
                  $vidhansabha = App\Models\VidhanSabha::where('status', 1)->get();
                  @endphp
                  <div class="form-group custom-select" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="1000">
                     <label for="vidhansabha"><img src="{{asset('assets/user/images/profileicon2.svg')}}" class="img-fluid" alt="Icon"></label>
                     <select class="form-select selectdropdownjs" id="vidhansabha" name="vidhansabha" required="">
                        <option value="">विधानसभा</option>
                        @foreach($vidhansabha as $r)
                        <option @if($r->id == old('vidhansabha')) selected @endif value="{{$r->id}}">{{$r->vidhansabha}}</option>
                        @endforeach
                     </select>
                     </div>
                     <div class="form-group" data-aos="zoom-in" data-aos-easing="linear" data-aos-duration="900">
                     <label for="setpassword"><img src="{{asset('assets/user/images/passwordimcon.png')}}" class="img-fluid" alt="Mobile"></label>
                     <input type="password" name="password"  value="{{old('password')}}" id="setpassword" class="form-control" placeholder="पासवर्ड डाले" required="">
                  </div>
                  <div class="form-group" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="900">
                 <label for="setpassword2"><img src="{{asset('assets/user/images/passwordimcon.png')}}" class="img-fluid" alt="Mobile"></label>
                     <input type="password" name="confirm_password"  value="{{old('confirm_password')}}" id="setpassword2" class="form-control" placeholder="पासवर्ड कंफर्म करे" required="">
                  </div>
                  <div class="loginbtn text-center" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="900">
                     <button type="submit" class="btn bgcolorbtn"><span>आगे बढ़े</span><i class="fa-solid fa-arrow-right"></i></button>
                  </div>
                  <div class="registerendbtn" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="900">
                    <a href="{{route('login')}}" class="btn bgcolorbtn">लॉगिन</a>
                  </div>
               </form>
            </div>
         </div>
      </div>



 <!-- Script -->
 <!-- END wrapper -->
<script src="{{asset('assets/user/js/jquery-2.2.4.min.js')}}"></script>
<script src="{{asset('assets/user/js/popper.min.js')}}"></script>
<script src="{{asset('assets/user/js/bootstrap.min.js')}}"></script>
<script src="{{asset('assets/user/js/aos.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/js/all.min.js"></script>
<script src="{{asset('assets/user/js/select2.min.js')}}"></script>
 <script>
    // Aos Animation
    AOS.init({
       once: true,
       easing: 'ease-in-out-sine'
    });

     // Only Number fill in text input field
     $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
           this.value = this.value.replace(/\D/g, '');
        }
     });
     
      $(document).ready(function() {
            $('.selectdropdownjs').select2();
         });
</script>

