@extends('boothagent.layout.app')
@section('title', 'Election Portal - Create Event')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Create Event</h4>
                            <a href="{{ route('baevent.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    <form action="{{ route('baevent.store') }}" method="post" class="form-horizontal" enctype="multipart/form-data">
                                   
                                        @csrf
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                                {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha'),array('class'=>'form-control chosen','required'))  !!}
                                                <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                            </div>
                                           
                                          <div class="col-sm-4">
                                               <label>Event Title<span class="text-danger">* </span></label>
                                               <input type="text" class="form-control" name="event_name" required=""
                                               value="{{ old('event_name') }}">
                                               <div class="text-danger">{{ $errors->first('event_name')}}</div>
                                           </div>
                                           
                                           <div class="col-sm-4">
                                            <label>Date Of Event<span class="text-danger">* </span></label>
                                            <input type="date" class="form-control" name="date_of_event" required=""
                                            value="{{ old('date_of_event') }}">
                                            <div class="text-danger">{{ $errors->first('date_of_event')}}</div>
                                        </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <label>Event End Date<span class="text-danger">* </span></label>
                                                <input type="date" class="form-control" name="limit" required=""
                                                value="{{ old('limit') }}">
                                                <div class="text-danger">{{ $errors->first('limit')}}</div>
                                            </div>
                                            <div class="col-sm-6">
                                                <label>Address<span class="text-danger">* </span></label>
                                                <input type="text-area" class="form-control" name="address" required=""
                                                value="{{ old('address') }}">
                                                <div class="text-danger">{{ $errors->first('address')}}</div>
                                            </div>
                                        </div>

                                        <div class="row form-group">
                                            <div class="col-sm-12">
                                                <label>Description<span class="text-danger"></span></label>
                                                <textarea class="ckeditor"   name="description" required="">{{ old('description') }}</textarea>
                                                <div class="text-danger">{{ $errors->first('description')}}</div>
                                            </div>
                                        </div>  
                                        <div class="row form-group">
                                            <div class="col-sm-12">
                                                <button name="submitBtn" class="btn btn-success"
                                                    type="submit">Save</button>
                                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
<script>
    var loadimageFile = function (event, imgid) {
      var output = document.getElementById(imgid);
      output.src = URL.createObjectURL(event.target.files[0]);
    };
    
      function hide() {
          document.getElementById('submit_btn').style.display = 'none'
      }   
  </script>

@endpush
