@extends('boothagent.layout.app')

@section('title')
   सामग्री डिमांड
@endsection

@section('header')
   <a onclick="history.back()"><i class="fa-solid fa-arrow-left"></i></a> 
   <h2><img src="{{asset('assets/booth/images/header-inventory.svg')}}" class="img-fluid" alt="Image"> सामग्री डिमांड</h2>
@endsection

@section('content')
   <!-- Body -->
   <div class="mainwrapper materialdemand_screen">
      <div class="container" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
         <div class="commonform">
            <form action="{{route('booth-material_demand_store')}}" method="post">
               @csrf
               <div class="form-group custom-select" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                  {!! Form::select('category_name',[''=>'सेलेक्ट केटेगरी']+$category,old('category_name'),array('class'=>'form-select selectdropdownjs','required','id'=>'category_id'))  !!}
               </div>
               <div class="form-group custom-select" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                  {!! Form::select('name',[''=>'सेलेक्ट नाम']+$user,old('name'),array('class'=>'form-select selectdropdownjs','required','id'=>'user_id'))  !!}
               </div>
               <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                  <input type="text" name="quantity"  value="{{ old('quantity') }}" class="form-control number" placeholder="मात्रा" required>
                  <div class="text-danger">{{ $errors->first('quantity') }}</div>
               </div>
               <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                  <input type="date" name="date"  value="{{ old('date') }}" class="form-control" placeholder="दिनांक" required>
                  <div class="text-danger">{{ $errors->first('date')}}</div>
               </div>
               <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                  <textarea rows="7" name="remark"  value="{{ old('remark') }}" class="form-control" placeholder="अपने शब्द लिखे"></textarea>
                  <div class="text-danger">{{ $errors->first('remark') }}</div>
               </div>
               <div class="registerendbtn" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                  <button type="submit" class="btn bgcolorbtn"><span>सबमिट करे</span></button> 
               </div>
            </form>
         </div>
      </div>
   </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>


@endpush