
@extends('boothagent.layout.app')
@section('title','Requirement - Index')
@push('headerscript')
<link href="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('theme/plugins/datatables/responsive.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
<link href="{{ asset('theme/plugins/datatables/dataTables.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
@endpush
@section('content')
<!-- ============================================================== -->
<!-- Start right Content here -->
<!-- ============================================================== -->
<div class="content-page">
    <!-- Start content -->
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="page-title-box">
                        <h4 class="page-title">Requirement</h4>
                        <a href="{{ route('barequirement.create') }}" class="btn btn-primary btn-sm pull-right"><i
                            class="fa fa-plus"></i> Add Requirement</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0"
                                width="100%" id="datatables">
                                <thead>
                                    <tr>
                                        <th>S.NO.</th>
                                        <th>Category Name</th>
                                        <th>User Name</th>
                                        <th>Quantity</th>
                                        <th>Date</th>
                                        <th>Remark</th>
                                        <th>creator</th>
                                        <th style="text-align: center">Action</th> 
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($requirement as $r)
                                    <tr>
                
                                        <td class="product-p">
                                            <span class="product-price-wrapper">
                                                <span class="">{{ $loop->iteration }}</span>
                                            </span>
                                        </td>
                               
                                        @php
                                        $udetails=App\Models\UserDetail::where('user_id',$r->id)->first();
                                    @endphp
                                    @php
                                    $vidhansabha=App\Models\VidhanSabha::where('id',$r->vidhansabha_id)->value('vidhansabha');
                               @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $vidhansabha}}
                                           </span>
                                       </td>
                                       @php
                                       $category=App\Models\Category::where('id',$r->category_id)->value('category_name');
                                  @endphp
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $category}}
                                           </span>
                                       </td>
                                       @php
                                       $user=App\Models\User::where('id',$r->user_id)->value('name');
                                  @endphp
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $user}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                        <span class="product-price-wrapper">
                                         
                                            {{ $r->quantity}}
                                       </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ date('d-m-Y', strtotime($r->date)) }}
                                            </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $r->remark}}
                                           </span>
                                            </td>
                                        @php
                                        $name=App\Models\User::where('id',$r->creator_id)->value('name');
                                        @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">

                                                {{ $name }}
                                            </span>
                                        </td>
                                        <td class="product-remove text-center"><a href="{{ route('barequirement.edit',$r->unique_id) }}" class="btn btn-info btn-xs"><i class="ti-pencil ml-2 font-xs text-grey-500"></i> Edit </a>
                                            <a href="{{ url('boothagent/requirementDelete',$r->unique_id) }}" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete </a></td>                                                
                                       
                                    </tr>
                                    
                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- container -->
    </div> <!-- content -->
</div>
@endsection
@push('footerscript')
<script src="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.responsive.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.bootstrap.js')}}"></script>

<script>

    $("#datatables").dataTable();
</script>

@endpush