@extends('boothagent.layout.app')
@section('title', 'Election Portal - Create Voter List')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Create Voter List</h4>
                            <a href="{{ route('bavoterlist.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    <form action="{{ route('bavoterlist.store') }}" method="post" class="form-horizontal" enctype="multipart/form-data"> 
                                        @csrf
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                                {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha'),array('class'=>'form-control chosen','required'))  !!}
                                                <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Block Name<span class="text-danger"></span></label>
                                                <input type="text" class="form-control" name="block_name"
                                                    value="{{ old('block_name') }}">
                                                <div class="text-danger">{{ $errors->first('block_name') }}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Booth Name<span class="text-danger"></span></label>
                                                <input type="text" class="form-control" name="booth_name" 
                                                    value="{{ old('booth_name') }}">
                                                <div class="text-danger">{{ $errors->first('booth_name') }}</div>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label>Name<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control" name="name" required=""
                                                    value="{{ old('name') }}">
                                                <div class="text-danger">{{ $errors->first('name') }}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Father Name<span class="text-danger"> </span></label>
                                                <input type="text" class="form-control" name="father_name" required=""
                                                    value="{{ old('father_name') }}">
                                                <div class="text-danger">{{ $errors->first('father_name') }}</div>
                                            </div>
                                            
                                            <div class="col-sm-4">
                                                <label>Mobile No<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control number" name="phone_no" required="" minlength="10" maxlength="10" value="{{ old('phone_no') }}">
                                                <div class="text-danger">{{ $errors->first('phone_no')}}</div>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label>Email ID<span class="text-danger"></span></label>
                                                <input type="email" class="form-control" name="email"
                                                value="{{ old('email') }}">
                                                <div class="text-danger">{{ $errors->first('email')}}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Age<span class="text-danger"> </span></label>
                                                <input type="text" class="form-control" name="age" 
                                                    value="{{ old('age') }}">
                                                <div class="text-danger">{{ $errors->first('age') }}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>जेंडर <span class="text-danger"></span></label>
                                                <select class="form-select selectdropdownjs" name="sex" id="gender">
                                                    <option value="" selected>जेंडर</option>
                                                    <option value="मेल">मेल</option>
                                                    <option value="फीमेल">फीमेल</option>
                                                    <option value="अन्य">अन्य</option>
                                                 </select>
                                                <div class="text-danger">{{ $errors->first('sex') }}</div>
                                            </div>
                                            
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label>Voter Id No.<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control" name="voter_id" required=""
                                                    value="{{ old('voter_id ') }}">
                                                <div class="text-danger">{{ $errors->first('voter_id') }}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Plot No.<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control" name="Plot_no" required=""
                                                    value="{{ old('Plot_no') }}">
                                                <div class="text-danger">{{ $errors->first('Plot_no') }}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Colony Name<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control" name="colony_name" required=""
                                                    value="{{ old('colony_name') }}">
                                                <div class="text-danger">{{ $errors->first('colony_name') }}</div>
                                            </div>
                                            
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label>Area Name<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control" name="area_name" required=""
                                                    value="{{ old('area_name') }}">
                                                <div class="text-danger">{{ $errors->first('area_name') }}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Pin Code<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control number" name="pin_code" required="" minlength="6" maxlength="7" value="{{ old('pin_code') }}">
                                                <div class="text-danger">{{ $errors->first('pin_code')}}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label>Other Id <span class="text-danger"></span></label>
                                                <select class="form-control form-select" name="other_id">
                                                    <option value="">Select Your Other Id</option>
                                                    <option value="aadhar_card">AADHAR CARD</option>
                                                    <option value="pan_card">PAN CARD</option>
                                                    <option value="licence">LICENCE</option>
                                                </select>
                                                <div class="text-danger">{{ $errors->first('other_id') }}</div>
                                            </div>
                                        </div> 
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label>Other Id No.<span class="text-danger"></span></label>
                                                <input type="text" class="form-control" name="otherid_no"
                                                    value="{{ old('otherid_no') }}">
                                                <div class="text-danger">{{ $errors->first('otherid_no') }}</div>
                                            </div>
                                            
                                            <div class="col-sm-4">
                                                <label>Image<span class="text-danger"></span></label>
                                                <input type="file"  onchange="loadimageFile(event, 'galleryimage')" accept="image/*"  class="form-control" name="voterlist_image"
                                                    value="{{ old('voterlist_image') }}">
                                                <div class="text-danger">{{ $errors->first('voterlist_image') }}</div>
                                            </div>
                                            <div class="col-sm-4">
                                                <img src="" width="150" id="galleryimage">
                                              </div>
                                        </div> 
                                      
                                        <div class="row form-group">
                                            <div class="col-sm-12">
                                                <button name="submitBtn" class="btn btn-success"
                                                    type="submit">Save</button>
                                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
<script>
    var loadimageFile = function (event, imgid) {
      var output = document.getElementById(imgid);
      output.src = URL.createObjectURL(event.target.files[0]);
    };
    
      function hide() {
          document.getElementById('submit_btn').style.display = 'none'
      }   
  </script>

@endpush
