@extends('superadmin.layout.app')
@section('title', 'Election Portal - Edit About Candidate')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Edit About Candidate</h4>
                            <a href="{{ route('sacandidate.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    @php
                                        $data=App\Models\UserDetail::where('user_id',$row->id)->first();
                                    @endphp
                                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['sacandidate.update', $row->id]]) !!}
                                    @csrf

                                    <div class="row form-group">
                                        <div class="col-sm-6">
                                            <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                            {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha',$row->vidhansabha_id),array('class'=>'form-control chosen','required'))  !!}
                                            <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                        </div>
                                        <div class="col-sm-6">
                                            <label>Candidate Name<span class="text-danger">* </span></label>
                                            <input type="text" class="form-control" name="candidate_name"
                                                required="" value="{{ old('candidate_name',$row->candidate_name) }}">
                                            <div class="text-danger">{{ $errors->first('candidate_name') }}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-6">
                                            <label>Image<span class="text-danger">* </span></label>
                                            <input type="file"  onchange="loadimageFile(event, 'galleryimage')" accept="image/*"  class="form-control" name="candidate_image" 
                                                value="{{ old('candidate_image') }}">
                                            <div class="text-danger">{{ $errors->first('candidate_image') }}</div>
                                        </div>
                                        <div class="col-sm-6">
                                            <img src="{{ asset($row->candidate_image) }}" width="150" id="galleryimage">
                                          </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-6">
                                            <label>D.O.B</label>
                                            <input type="date" name="dob" class="form-control"
                                                value="{{ old('dob',$row->dob) }}" placeholder="Enter D.O.B" />
                                            <div class="text-danger">{{ $errors->first('dob') }}</div>
                                        </div>
                                        <div class="col-sm-6">
                                            <label>Mobile No.</label>
                                            <input type="text" name="mobile_no" class="form-control" minlength="10" maxlength="10"
                                                value="{{ old('mobile_no',$row->mobile_no) }}" placeholder="Enter Mobile No" />
                                            <div class="text-danger">{{ $errors->first('mobile_no') }}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-6">
                                            <label>Email<span class="text-danger">* </span></label>
                                                <input type="email" class="form-control" name="email" required=""
                                                    value="{{ old('email',$row->email) }}">
                                                <div class="text-danger">{{ $errors->first('email') }}</div>
                                                <div style="margin-top:2%;">
                                            <label>Address<span class="text-danger">* </span></label>
                                            <textarea class="form-control" name="address" required=""
                                            >{{ old('address',$row->address) }}</textarea>
                                            <div class="text-danger">{{ $errors->first('address') }}</div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <label>Description<span class="text-danger"></span></label>
                                            <textarea class="ckeditor"   name="description" required="">{{ old('description',$row->description) }}</textarea>
                                            <div class="text-danger">{{ $errors->first('description')}}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-12">
                                            <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                            <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
    <script>
        var loadimageFile = function (event, imgid) {
          var output = document.getElementById(imgid);
          output.src = URL.createObjectURL(event.target.files[0]);
        };
        
          function hide() {
              document.getElementById('submit_btn').style.display = 'none'
          }   
      </script>
@endpush
