@extends('superadmin.layout.app')
@section('title', 'Gallery - Index')
@push('headerscript')
    <link href="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.css') }}" rel="stylesheet" type="text/css">
    <link href="{{ asset('theme/plugins/datatables/responsive.bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('theme/plugins/datatables/dataTables.bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
@endpush
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Gallery</h4>
                            <a href="{{ route('sagallery.create') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-plus"></i> Add Gallery</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0"
                                    width="100%" id="datatables">
                                    <thead>
                                        <tr>
                                            <th>S.NO.</th>
                                            <th>Event Name</th>              
                                            <th>Gallery</th>
                                            <th>Uploaded</th>
                                            <th style="text-align: center">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($gallery as $r)
                                            <tr>

                                                <td class="product-p">
                                                    <span class="product-price-wrapper">
                                                        <span class="">{{ $loop->iteration }}</span>
                                                    </span>
                                                </td>

                                                <td class="product-headline text-left wide-column">
                                                    <span class="product-price-wrapper">

                                                        {!! $r->event_name !!}
                                                    </span>
                                                </td>
                                                <th><img src="{{asset( $r->image_path )}}" style="height: 50px;" alt=""> </th>
                                                @php
                                                    $name = App\Models\User::where('id', $r->uploaded_by)->value('name');
                                                @endphp
                                                <td class="product-headline text-left wide-column">
                                                    <span class="product-price-wrapper">

                                                        {{ $name }}
                                                    </span>
                                                </td>
                                                <td class="product-remove text-center"><a
                                                        href="{{ route('sagallery.edit', $r->unique_id) }}"
                                                        class="btn btn-info btn-xs"><i
                                                            class="ti-pencil ml-2 font-xs text-grey-500"></i> Edit </a>
                                                    <a href="{{ url('superadmin/galleryDelete', $r->unique_id) }}"
                                                        class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete
                                                    </a>
                                                </td>

                                            </tr>
                                        @endforeach
                                    </tbody>

                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script src="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.min.js') }}"></script>
    <script src="{{ asset('theme/plugins/datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('theme/plugins/datatables/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('theme/plugins/datatables/dataTables.bootstrap.js') }}"></script>

    <script>
        $("#datatables").dataTable();
    </script>
@endpush
