
@extends('superadmin.layout.app')
@section('title','Issues - Index')
@push('headerscript')
<link href="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.css') }}" rel="stylesheet" type="text/css">

<link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css"> 
@endpush
@section('content')
<!-- ============================================================== -->
<!-- Start right Content here -->
<!-- ============================================================== -->
<div class="content-page">
    <!-- Start content -->
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="page-title-box">
                        <h4 class="page-title">Issues</h4>
                        <a href="{{ route('saissues.create') }}" class="btn btn-primary btn-sm pull-right"><i
                            class="fa fa-plus"></i> Add Issues</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table  id="example" class="display table aiz-table mb-0 nowrap" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>S.NO.</th>
                                        <th>Title</th>
                                        <th style="text-align: center">Action</th> 
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($issues as $r)
                                    <tr>
                
                                        <td class="product-p">
                                            <span class="product-price-wrapper">
                                                <span class="">{{ $loop->iteration }}</span>
                                            </span>
                                        </td>
                               
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $r->issues_name}}
                                           </span>
                                       </td>
                                     
                                        <td class="product-remove text-center"><a href="{{ route('saissues.edit',$r->unique_id) }}" class="btn btn-info btn-xs"><i class="ti-pencil ml-2 font-xs text-grey-500"></i> Edit </a>
                                        <a href="{{ url('superadmin/issuesDelete',$r->unique_id) }}" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete </a></td>                                                
                                       
                                    </tr>
                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="row">
                <div class="col-xs-12">
                    <div class="page-title-box">
                        <h4 class="page-title">Issues</h4>
                        <!--<a href="{{ route('saissues.create') }}" class="btn btn-primary btn-sm pull-right"><i-->
                        <!--    class="fa fa-plus"></i> Add Issues</a>-->
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
             <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table  id="example" class="display table aiz-table mb-0 nowrap" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>S.NO.</th>
                                        <th>Issues Name</th>
                                        <th>Description</th>
                                        <th style="text-align: center">Action</th> 
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($issuesname as $r)
                                    <tr>
                
                                        <td class="product-p">
                                            <span class="product-price-wrapper">
                                                <span class="">{{ $loop->iteration }}</span>
                                            </span>
                                        </td>
                               
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $r->issues_name}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $r->description}}
                                           </span>
                                       </td>
                                          @php
                                          $value = App\Models\Issues::where('issues_name', $r->issues_name)->first();
                                          @endphp
                                        <td class="product-remove text-center">
                                            @if($value->status == 2)
                                            <a href="{{ route('addIssues',$r->unique_id) }}" class="btn btn-info btn-xs">
                                            <i class="ti-pencil ml-2 font-xs text-grey-500"></i> Add Issues 
                                            @endif
                                            </a>
                                        <!--<a href="{{ url('superadmin/issuesDelete',$r->unique_id) }}" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete </a></td>                                                -->
                                       
                                    </tr>
                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- container -->
    </div> <!-- content -->
</div>
@endsection
@push('footerscript')
<script src="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.min.js')}}"></script>
<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.print.min.js"></script>


<script>
    $(document).ready(function() {
$('#example').DataTable( {
    dom: 'Bfrtip',
    buttons: [
        'copy', 'csv', 'excel', 'pdf', 'print'
    ]
} );
} );
</script>
@endpush