@extends('superadmin.layout.app')
@section('title', 'Election Portal - Create News')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Create News</h4>
                            <a href="{{ route('sanews.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    <form action="{{ route('sanews.store') }}" method="post" class="form-horizontal" enctype="multipart/form-data">
                                        @csrf

                                        <div class="row form-group">
                                            <div class="col-sm-6">
                                                <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                                {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha'),array('class'=>'form-control chosen','required'))  !!}
                                                <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                            </div>
                                               <div class="col-sm-6">
                                                <label>News Title<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control" name="title"
                                                    required="" value="{{ old('title') }}">
                                                <div class="text-danger">{{ $errors->first('title') }}</div>
                                            </div>
                                        </div>
                                            <div class="row form-group">
                                            <div class="col-sm-6">
                                                <label>Image<span class="text-danger">* </span></label>
                                                <input type="file"  onchange="loadimageFile(event, 'galleryimage')" accept="image/*"  class="form-control" name="news_image" required=""
                                                    value="{{ old('news_image') }}">
                                                <div class="text-danger">{{ $errors->first('news_image') }}</div>
                                            </div>
                                            <div class="col-sm-6">
                                                <img src="" width="150" id="galleryimage">
                                              </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-md-6 form-group">
                                                <label>Date</label>
                                                <input type="date" name="news_date" class="form-control"
                                                    value="{{ old('news_date') }}" placeholder="Enter Date" />
                                                <div class="text-danger">{{ $errors->first('news_date') }}</div>
                                            </div>
                                            <div class="col-sm-6">
                                                <label>Description<span class="text-danger"></span></label>
                                                <textarea class="ckeditor"   name="news_description" required="">{{ old('news_description') }}</textarea>
                                                <div class="text-danger">{{ $errors->first('news_description')}}</div>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-12">
                                                <button name="submitBtn" class="btn btn-success"
                                                    type="submit">Save</button>
                                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
<script>
    var loadimageFile = function (event, imgid) {
      var output = document.getElementById(imgid);
      output.src = URL.createObjectURL(event.target.files[0]);
    };
    
      function hide() {
          document.getElementById('submit_btn').style.display = 'none'
      }   
  </script>

@endpush
