@extends('admin.layout.app')
@section('title', 'Election Portal - Edit Requirement')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Edit Requirement</h4>
                            <a href="{{ route('arequirement.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    @php
                                        $data=App\Models\UserDetail::where('user_id',$row->id)->first();
                                    @endphp
                                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['arequirement.update', $row->id]]) !!}
                                    @csrf

                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                            {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha',$row->vidhansabha_id),array('class'=>'form-control chosen','required'))  !!}
                                            <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Select Category<span class="text-danger">* </span></label>
                                            {!! Form::select( 'category_name', ['' => '--Select Category --'] + $category, old('category_name', $row->category_id),['class' => 'form-control chosen', 'required'], ) !!}
                                            <div class="text-danger">{{ $errors->first('category_name') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Select Name<span class="text-danger">* </span></label>
                                            {!! Form::select( 'name', ['' => '--Select User --'] + $user, old('name', $row->user_id),['class' => 'form-control chosen', 'required'], ) !!}
                                            <div class="text-danger">{{ $errors->first('name') }}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        
                                        <div class="col-sm-4">
                                            <label>Quantity<span class="text-danger">* </span></label>
                                            <input type="text" class="form-control" name="quantity"
                                                required="" value="{{ old('quantity',$row->quantity) }}">
                                            <div class="text-danger">{{ $errors->first('quantity') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Date<span class="text-danger">* </span></label>
                                            <input type="date" class="form-control" name="date" required=""
                                            value="{{ old('date',$row->date) }}">
                                            <div class="text-danger">{{ $errors->first('date')}}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Remark<span class="text-danger">* </span></label>
                                            <input type="text" class="form-control" name="remark"
                                                required="" value="{{ old('remark',$row->remark) }}">
                                            <div class="text-danger">{{ $errors->first('remark') }}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-12">
                                            <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                            <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
    <script>
        var loadimageFile = function (event, imgid) {
          var output = document.getElementById(imgid);
          output.src = URL.createObjectURL(event.target.files[0]);
        };
        
          function hide() {
              document.getElementById('submit_btn').style.display = 'none'
          }   
      </script>
@endpush
