@extends('superadmin.layout.app')
@section('title', 'Election Portal - Edit Star Campaigner')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Edit Star Campaigner</h4>
                            <a href="{{ route('sastarcampaigner.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    @php
                                        $data=App\Models\UserDetail::where('user_id',$row->id)->first();
                                    @endphp
                                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['sastarcampaigner.update', $row->id]]) !!}
                                    @csrf

                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                            {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha',$row->vidhansabha_id),array('class'=>'form-control chosen','required'))  !!}
                                            <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>News Title<span class="text-danger">* </span></label>
                                            <input type="text" class="form-control" name="title"
                                                required="" value="{{ old('title',$row->title) }}">
                                            <div class="text-danger">{{ $errors->first('title') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Star Campaigner Name<span class="text-danger">* </span></label>
                                            <input type="text" class="form-control" name="starcampaigner_name"
                                                required="" value="{{ old('starcampaigner_name',$row->starcampaigner_name) }}">
                                            <div class="text-danger">{{ $errors->first('starcampaigner_name') }}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-6">
                                            <label>Image<span class="text-danger">* </span></label>
                                            <input type="file"  onchange="loadimageFile(event, 'galleryimage')" accept="image/*"  class="form-control" name="starcampaigner_image"
                                                value="{{ old('starcampaigner_image') }}">
                                            <div class="text-danger">{{ $errors->first('starcampaigner_image') }}</div>
                                        </div>
                                        <div class="col-sm-6">
                                            <img src="{{ asset($row->starcampaigner_image) }}" width="150" id="galleryimage">
                                          </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-md-6 form-group">
                                            <label>Date</label>
                                            <input type="date" name="starcampaigner_date" class="form-control"
                                                value="{{ old('starcampaigner_date',$row->starcampaigner_date) }}" placeholder="Enter Date" />
                                            <div class="text-danger">{{ $errors->first('starcampaigner_date') }}</div>
                                        </div>
                                        <div class="col-sm-6">
                                            <label>News Description<span class="text-danger"></span></label>
                                            <textarea class="ckeditor"   name="starcampaigner_description" required="">{{ old('starcampaigner_description',$row->starcampaigner_description) }}</textarea>
                                            <div class="text-danger">{{ $errors->first('starcampaigner_description')}}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-12">
                                            <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                            <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
    <script>
        var loadimageFile = function (event, imgid) {
          var output = document.getElementById(imgid);
          output.src = URL.createObjectURL(event.target.files[0]);
        };
        
          function hide() {
              document.getElementById('submit_btn').style.display = 'none'
          }   
      </script>
@endpush
