@extends('superadmin.layout.app')
@section('title', 'Election Portal - Create Task')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Create Task</h4>
                            <a href="{{ route('satask.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    <form action="{{ route('satask.store') }}" method="post" class="form-horizontal">
                                        @csrf

                                        <div class="row form-group">

                                               <div class="col-sm-6">
                                                <label>Title<span class="text-danger">* </span></label>
                                                <input type="text" class="form-control" name="title"
                                                    required="" value="{{ old('title') }}">
                                                <div class="text-danger">{{ $errors->first('title') }}</div>
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="vidhansabha">Vidhansabha<span class="text-danger">* </span></label>
                                                <select name="vidhansabha" id="vidhansabha" class="form-control">
                                                   <option value="">Select VidhanSabha</option>
                                                   @foreach ($vidhanSabha as $r)
                                                <option value="{{$r->id}}">{{$r->vidhansabha}}</option>
                                                   @endforeach
                                                </select>
                                                <div class="text-danger">{{ $errors->first('vidhansabha') }}</div>
                                            </div>
                                        </div>
                                        <div class="row form-group">

                                               <div class="col-sm-6">
                                                <label for="date">Date<span class="text-danger">* </span></label>
                                                <input type="date" class="form-control" id="date" name="date"
                                                    required="" value="{{ old('date') }}">
                                                <div class="text-danger">{{ $errors->first('date') }}</div>
                                            </div>
                                            <div class="col-sm-6">
                                                <label for="user">User<span class="text-danger">* </span></label>
                                                <select name="user" id="user" class="form-control">
                                                   <option value="">Select User</option>
                                                   @foreach ($user as $r)
                                                <option value="{{$r->id}}">{{$r->name}}</option>
                                                   @endforeach
                                                </select>
                                                <div class="text-danger">{{ $errors->first('user') }}</div>
                                            </div>
                                        </div>
                                        <div class="row form-group">

                                            <div class="col-sm-12">
                                                <label>Description<span class="text-danger"></span></label>
                                                <textarea class="ckeditor"   name="description" required="">{{ old('description') }}</textarea>
                                                <div class="text-danger">{{ $errors->first('description')}}</div>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-12">
                                                <button name="submitBtn" class="btn btn-success"
                                                    type="submit">Save</button>
                                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
<script>
    var loadimageFile = function (event, imgid) {
      var output = document.getElementById(imgid);
      output.src = URL.createObjectURL(event.target.files[0]);
    };

      function hide() {
          document.getElementById('submit_btn').style.display = 'none'
      }
  </script>

@endpush
