@extends('superadmin.layout.app')
@section('title', 'Election Portal - Edit Voter List')
@section('content')
    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="content-page">
        <!-- Start content -->
        <div class="content">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-title-box">
                            <h4 class="page-title">Edit Voter List</h4>
                            <a href="{{ route('savoterlist.index') }}" class="btn btn-primary btn-sm pull-right"><i
                                    class="fa fa-backward"></i> Back</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="row">
                                <div class="col-sm-12 col-xs-12">
                                    @php
                                        $data=App\Models\UserDetail::where('user_id',$row->id)->first();
                                    @endphp
                                    {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['savoterlist.update', $row->id]]) !!}
                                    @csrf

                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label>Select Vidhan Sabha Name<span class="text-danger">* </span></label>
                                            {!! Form::select('vidhansabha',[''=>'--Select Vidhan Sabha Name --']+$vidhansabha,old('vidhansabha',$row->vidhansabha_id),array('class'=>'form-control chosen'))  !!}
                                            <div class="text-danger">{{ $errors->first('vidhansabha')}}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Block Name<span class="text-danger"></span></label>
                                            <input type="text" class="form-control" name="block_name"
                                                value="{{ old('block_name',$row->block_name) }}">
                                            <div class="text-danger">{{ $errors->first('block_name') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Booth Name<span class="text-danger"></span></label>
                                            <input type="text" class="form-control" name="booth_name"
                                                value="{{ old('booth_name',$row->booth_name) }}">
                                            <div class="text-danger">{{ $errors->first('booth_name') }}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label>Name<span class="text-danger">* </span></label>
                                            <input type="text" class="form-control" name="name" required=""
                                                value="{{ old('name',$row->name) }}">
                                            <div class="text-danger">{{ $errors->first('name') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Father Name<span class="text-danger"></span></label>
                                            <input type="text" class="form-control" name="father_name"
                                                value="{{ old('father_name',$row->father_name) }}">
                                            <div class="text-danger">{{ $errors->first('father_name') }}</div>
                                        </div>
                                        
                                        <div class="col-sm-4">
                                            <label>Mobile No<span class="text-danger"> </span></label>
                                            <input type="text" class="form-control number" name="phone_no" minlength="10" maxlength="10" value="{{ old('phone_no',$row->phone_no) }}">
                                            <div class="text-danger">{{ $errors->first('phone_no')}}</div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label>Email ID<span class="text-danger"> </span></label>
                                            <input type="email" class="form-control" name="email"
                                            value="{{ old('email',$row->email) }}">
                                            <div class="text-danger">{{ $errors->first('email')}}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Age<span class="text-danger"> </span></label>
                                            <input type="text" class="form-control" name="age"
                                                value="{{ old('age',$row->age) }}">
                                            <div class="text-danger">{{ $errors->first('age') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Sex <span class="text-danger"></span></label>
                                            <select class="form-control form-select" value="{{ old('sex',$row->sex) }}" name="sex">
                                                <option value="">Select Your Sex</option>
                                                <option @if(old('sex',$row->sex) == 'male') selected @endif value="male">Male</option>
                                                <option @if(old('sex',$row->sex) == 'female') selected @endif  value="female">Female</option>
                                                <option @if(old('sex',$row->sex) == 'other') selected @endif  value="other">Other</option>
                                            </select>
                                            <div class="text-danger">{{ $errors->first('sex') }}</div>
                                        </div>
                                        
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label>Voter Id No.<span class="text-danger"> </span></label>
                                            <input type="text" class="form-control" name="voter_id" 
                                                value="{{ old('voter_id',$row->voter_id) }}">
                                            <div class="text-danger">{{ $errors->first('voter_id') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Plot No.<span class="text-danger"></span></label>
                                            <input type="text" class="form-control" name="Plot_no"
                                                value="{{ old('Plot_no',$row->Plot_no) }}">
                                            <div class="text-danger">{{ $errors->first('Plot_no') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Colony Name<span class="text-danger"> </span></label>
                                            <input type="text" class="form-control" name="colony_name"
                                                value="{{ old('colony_name',$row->colony_name) }}">
                                            <div class="text-danger">{{ $errors->first('colony_name') }}</div>
                                        </div>
                                        
                                    </div>
                                    <div class="row form-group">
                                        <div class="col-sm-4">
                                            <label>Area Name<span class="text-danger"></span></label>
                                            <input type="text" class="form-control" name="area_name"
                                                value="{{ old('area_name',$row->area_name) }}">
                                            <div class="text-danger">{{ $errors->first('area_name') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>Image<span class="text-danger"></span></label>
                                            <input type="file"  onchange="loadimageFile(event, 'galleryimage')" accept="image/*"  class="form-control" name="voterlist_image"
                                                value="{{ old('voterlist_image') }}">
                                            <div class="text-danger">{{ $errors->first('voterlist_image') }}</div>
                                        </div>
                                        <div class="col-sm-4">
                                            <img src="{{ asset($row->voterlist_image) }}" width="150" id="galleryimage">
                                          </div>
                                    </div> 
                                
                                    <div class="row form-group">
                                        <div class="col-sm-12">
                                            <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                            <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                                        </div>
                                    </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> <!-- container -->
        </div> <!-- content -->
    </div>
@endsection
@push('footerscript')
    <script>
        $('.number').keyup(function(e) {
            if (/\D/g.test(this.value)) {
                this.value = this.value.replace(/\D/g, '');
            }
        });
    </script>
    <script>
        var loadimageFile = function (event, imgid) {
          var output = document.getElementById(imgid);
          output.src = URL.createObjectURL(event.target.files[0]);
        };
        
          function hide() {
              document.getElementById('submit_btn').style.display = 'none'
          }   
      </script>
@endpush
