
@extends('superadmin.layout.app')
@section('title','Voter List - Index')
@push('headerscript')
<link href="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('theme/plugins/datatables/responsive.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
<link href="{{ asset('theme/plugins/datatables/dataTables.bootstrap.min.css') }}" rel="stylesheet" type="text/css"/>
@endpush
@section('content')
<!-- ============================================================== -->
<!-- Start right Content here -->
<!-- ============================================================== -->
<div class="content-page">
    <!-- Start content -->
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="page-title-box">
                        <h4 class="page-title">Voter List</h4>
                        <a href="{{ route('savoterlist.create') }}" class="btn btn-primary btn-sm pull-right"><i
                            class="fa fa-plus"></i> Add Voter List</a>
                            <div class="clearfix"></div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="card-box">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0"
                                width="100%" id="datatables">
                                <thead>
                                    <tr>
                                        <th>S.NO.</th>
                                        <th>Vidhan Sabha Name</th>
                                        <th>Name</th>
                                        <th>Father Name</th>
                                        <th>Voter Id No.</th>
                                        <th>Mobile No.</th>
                                        <th>creator</th>
                                        <th style="text-align: center">Action</th> 
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($voterlist as $r)
                                    <tr>
                
                                        <td class="product-p">
                                            <span class="product-price-wrapper">
                                                <span class="">{{ $loop->iteration }}</span>
                                            </span>
                                        </td>
                               
                                        @php
                                        $udetails=App\Models\UserDetail::where('user_id',$r->id)->first();
                                    @endphp
                                    @php
                                    $vidhansabha=App\Models\VidhanSabha::where('id',$r->vidhansabha_id)->value('vidhansabha');
                               @endphp
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $vidhansabha}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $r->name}}
                                           </span>
                                       </td>
                                       <td class="product-headline text-left wide-column">
                                        <span class="product-price-wrapper">
                                         
                                            {{ $r->father_name}}
                                       </span>
                                        </td>
                                        <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                             
                                                {{ $r->voter_id}}
                                           </span>
                                            </td>
                                          <td class="product-headline text-left wide-column">
                                            <span class="product-price-wrapper">
                                     
                                            {{ $r->phone_no}}
                                            </span>
                                        </td>
                                        @php
                                                $name=App\Models\User::where('id',$r->creator_id)->value('name');
                                                @endphp
                                                <td class="product-headline text-left wide-column">
                                                    <span class="product-price-wrapper">

                                                        {{ $name }}
                                                    </span>
                                                </td>
                                     
                                        <td class="product-remove text-center"><a href="{{ route('savoterlist.edit',$r->unique_id) }}" class="btn btn-info btn-xs"><i class="ti-pencil ml-2 font-xs text-grey-500"></i> Edit </a>
                                            <a href="{{ url('superadmin/voterlistDelete',$r->unique_id) }}" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> Delete </a></td>                                                
                                       
                                    </tr>
                                    @endforeach
                                </tbody>

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- container -->
    </div> <!-- content -->
</div>
@endsection
@push('footerscript')
<script src="{{ asset('theme/plugins/bootstrap-sweetalert/sweet-alert.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.responsive.min.js')}}"></script>
<script src="{{ asset('theme/plugins/datatables/dataTables.bootstrap.js')}}"></script>

<script>

    $("#datatables").dataTable();
</script>

@endpush