<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="csrf-token" content="{{ csrf_token() }}"> 
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <meta name="theme-color" content="#ffffff">
      <meta name="robots" content="noindex">
      <meta name="robots" content="nofollow">      
      <meta name="author" content="Election Poll Campaign">
      <meta name="keywords"  content="Election Poll Campaign">
      <meta name="Resource-type" content="Document">
      <title>@yield('title')</title>
      
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/bootstrap.min.css')}}">
      <!--<link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/aos.css')}}">-->
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/fancybox.css')}}">
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/select2.min.css')}}">
      <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
      <link rel="stylesheet" type="text/css" href="{{asset('assets/user/css/style.css')}}">
      @stack('headerscript')
   </head>

   <body>
      @include('user.layout.header')
      <!-- Begin page -->
      <div class="mainbody">
         <!-- ============================================================== -->
         <!-- Start right Content here -->
         <!-- ============================================================== -->
         @section('content')
      
         @show
      </div>

      <!-- END wrapper -->
      <script src="{{asset('assets/user/js/jquery-2.2.4.min.js')}}"></script>
      <script src="{{asset('assets/user/js/popper.min.js')}}"></script>
      <script src="{{asset('assets/user/js/bootstrap.min.js')}}"></script>
      <script src="{{asset('assets/user/js/aos.js')}}"></script>
      <script src="{{asset('assets/user/js/select2.min.js')}}"></script>
      <script src="{{asset('assets/user/js/fancybox.umd.js')}}"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/js/all.min.js"></script>
      <script>
         // Aos Animation
         AOS.init({
            once: true,
            easing: 'ease-in-out-sine'
         });
            
         $(".otp").keyup(function () {
            if (this.value.length == this.maxLength) {
               var $next = $(this).next('.otp');
               if ($next.length)
                  $(this).next('.otp').focus();
               else
                  $(this).blur();
            }
         });
      
         // image gallery
         Fancybox.bind('[data-fancybox"]', {
            Toolbar: {
               display: [
                  "zoom",
                  "slideshow",
                  "close",
               ],
            },
         });

         // custom select2 js
         $(document).ready(function() {
            $('.selectdropdownjs').select2();
         });

         // Window load add class
         $(window).load(function(){
            $('.nav-pills > li:first-child button.btn').addClass('active').attr('aria-selected','true');
            $('.tab-content .tab-pane:first-child').addClass("active").addClass("show");
         });

         // Model js
         function f(val) {      
            document.getElementById("message").value= val;
         }
         function f1(val) {      
            document.getElementById("message1").value= val;
         }
         function f2(val) {      
            document.getElementById("message2").value= val;
         }
         
      </script>
      
      @stack('footerscript')
      @include('user.layout.footer')
      @include('user.layout.notification')
      <script>
         $(document).ready(function(){
            function load_unseen_notification(view = '')
            {
               $.ajax({
                  url:"https://dakshsms.co.in/election_portal/public/user/user-notification",
                  headers: {
                     'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                  },
                  type: 'GET',
                  data:{view:view},
                  dataType: "json",
                  success:function(data){
                     $('.notification_list').html(data.notification);
                     if(data.unseen_notification > 0)
                     {
                        $('.count').html('<span class="countbell">'+ data.unseen_notification +'</span>');
                     }
                  }
               });
            }
            $(document).on('click', '.simpleiconbtn-id', function(){
               $('.count').html('');
               load_unseen_notification('yes');
            });
            setInterval(function(){
               load_unseen_notification();
            }, 4000);
         });
      </script>
   </body>
</html>