@extends('user.layout.app')
@section('title')
प्रोफाइलएं
@endsection
@section('header')
<a onclick="history.back()"><i class="fa-solid fa-arrow-left"></i></a>
<h2><img src="{{asset('assets/user/images/profileicon1.svg')}}" class="img-fluid" alt="Image"> प्रोफाइल</h2>
@endsection
@section('content') 
<div class="profilescreen">
    <div class="container">
        @if(\Session::get('success'))
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <div class="alert-body">
                    {{ \Session::get('success') }}
                </div>
            </div>
        @endif
        {{ \Session::forget('success') }}

        @if(\Session::get('error'))
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <div class="alert-body">
                    {{ \Session::get('error') }}
                </div>
            </div>
        @endif
        
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        
        <div class="login-form commonform">
            <form method="POST" action="{{route('profilePost',Auth::user()->unique_id)}}">
                @csrf
                <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="900">
                    <label for="fullname"><img src="{{asset('assets/user/images/profileicon1.svg')}}" class="img-fluid" alt="Icon"></label>
                    <input type="text" name="name" id="fullname" class="form-control" placeholder="नाम"  value="{{ old('name',Auth::user()->name) }}" required="">
                    <strong class="text-danger">{{$errors->first('name')}}</strong>
                </div>
                @php
                    $vidhansabha = App\Models\VidhanSabha::where('status', 1)->get();
                @endphp
                <div class="form-group custom-select" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="1000">
                    <label for="vidhansabha"><img src="{{asset('assets/user/images/profileicon2.svg')}}" class="img-fluid" alt="Icon"></label>
                    <select class="form-select selectdropdownjs" id="vidhansabha" name="vidhansabha" required="">
                        <option value="">विधानसभा</option>
                        @foreach($vidhansabha as $r)
                        <option @if($r->id == old('vidhansabha',Auth::user()->vidhansabha_id)) selected @endif value="{{$r->id}}">{{$r->vidhansabha}}</option>
                        @endforeach
                    </select>
                </div>
                @php
                    $value = App\Models\UserDetail::where('user_id', Auth::user()->id)->first();
                @endphp
                <div class="form-group" data-aos="fade-down" data-aos-easing="linear" data-aos-duration="1000">
                    <label for="pincode"><img src="{{asset('assets/user/images/profileicon3.svg')}}" class="img-fluid" alt="Icon"></label>
                    <input type="text" name="pincode"  value="{{ old('pincode',$value->pincode) }}" id="pincode" class="form-control" placeholder="पिन कोड">
                </div>
                <div class="form-group" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="1000">
                    <label for="blocknumber"><img src="{{asset('assets/user/images/profileicon4.svg')}}" class="img-fluid" alt="Icon"></label>
                    <input type="text" name="block_name"  value="{{ old('block_name',$value->block_name) }}" id="blocknumber" class="form-control" placeholder="ब्लॉक नंबर">
                </div>
                <div class="form-group" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="1000">
                    <label for="boothnumber"><img src="{{asset('assets/user/images/profileicon5.svg')}}" class="img-fluid" alt="Icon"></label>
                    <input type="text" name="booth_name"  value="{{ old('booth_name',$value->booth_name) }}" id="boothnumber" class="form-control" placeholder="बूथ नंबर">
                </div>
                <div class="loginbtn" data-aos="fade-up" data-aos-easing="linear" data-aos-duration="900">
                    <!-- <button type="submit" class="btn bgcolorbtn">Submit</button> -->
                    <button type="submit" class="btn bgcolorbtn">{{ __('Submit') }}</button>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection 