<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/cc', function () {
    Artisan::call('cache:clear');
    echo '<script>alert("cache clear Success")</script>';
});
Route::get('/ccc', function () {
    Artisan::call('config:cache');
    echo '<script>alert("config cache Success")</script>';
});
Route::get('/vc', function () {
    Artisan::call('view:clear');
    echo '<script>alert("view clear Success")</script>';
});
Route::get('/cr', function () {
    Artisan::call('route:cache');
    echo '<script>alert("route clear Success")</script>';
});
Route::get('/coc', function () {
    Artisan::call('config:clear');
    echo '<script>alert("config clear Success")</script>';
});
Route::get('/storage123', function () {
    Artisan::call('storage:link');
    echo '<script>alert("linked")</script>';
});


Route::get('/', function () {
    return redirect()->route('login');
});

/* ------------------------ REGISTER ROUTE --------------------------------- */
Route::post('/Register-post', [App\Http\Controllers\Auth\RegisterController::class, 'Register'])->name('Register_post');
Route::get('otp-verifiction', [App\Http\Controllers\Auth\RegisterController::class, 'otp'])->name('otpVerifiction');
Route::post('otp-verifiction-post', [App\Http\Controllers\Auth\RegisterController::class, 'postOtp'])->name('otpVerifictionPost');
Route::get('otp-resendotp-post', [App\Http\Controllers\Auth\RegisterController::class, 'resendotp'])->name('otpResentotpPost');
Route::get('set-password', [App\Http\Controllers\Auth\RegisterController::class, 'setPassword'])->name('setPassword');
Route::post('set-password-post', [App\Http\Controllers\Auth\RegisterController::class, 'postSetPassword'])->name('setPasswordPost');
/* ------------------------ END REGISTER ROUTE --------------------------------- */


/* ------------------------ RESET PASSWORD ROUTE --------------------------------- */
Route::post('reset-password', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'resetPassword'])->name('resetPassword');
Route::get('set-new-password', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'setNewPassword'])->name('setNewPassword');
Route::post('set-new-password-post', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'postSetNewPassword'])->name('setNewPasswordPost');
Route::get('reset-password-otp-verifiction', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'otp'])->name('resetPasswordOtpVerifiction');
Route::get('reset-otp-verifiction', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'resendotp'])->name('resetsendOtpVerifiction');
Route::post('reset-password-otp-verifiction-post', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'postOtp'])->name('resetPasswordOtpVerifictionPost');

/* ------------------------ END RESET PASSWORD ROUTE --------------------------------- */

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('aboutvidhansabha_details/{unique_id}','App\Http\Controllers\HomeController@aboutvidhansabhadetails');
Route::get('aboutcandidate_details/{unique_id}','App\Http\Controllers\HomeController@candidatedetails');
Route::get('starcampaigner_details/{slug}','App\Http\Controllers\HomeController@starcampaignerdetails');



Route::group(['middleware'=>['role:superadmin','auth'],'namespace'=>'App\Http\Controllers\superadmin','prefix'=>'superadmin'],
	function(){
		Route::get('home','HomeController@index');
        Route::Resource('sasocial','SocialMediaController');
        Route::Resource('savidhansabha','VidhanSabhaController');
        Route::get('vidhansabha-bulk-Create','VidhanSabhaController@bulkCreate')->name('bulkCreateVidhanSabha');
        Route::post('vidhansabha-bulk-Create-post','VidhanSabhaController@storeVidhanSabha')->name('storeVidhanSabha');
        Route::get('vidhansabha-vidhansabhas-download','VidhanSabhaController@vidhanSabhasDownload')->name('vidhanSabhasDownload');
        Route::Resource('saadmin','AdminController');
        Route::Resource('saboothagent','BoothAgentController');
        Route::Resource('sapost','PostController');
        Route::Resource('saissues','IssuesController');
        Route::get('add-issues/{id?}','IssuesController@addIssues')->name('addIssues');
        Route::Resource('savoterlist','VoterListController');
        Route::get('bulk-Create','VoterListController@bulkCreate')->name('bulkCreate');
        Route::post('bulk-Create-post','VoterListController@storeVoterlist')->name('storeVoterlist');
        Route::Resource('saevent','EventController');
        Route::Resource('saschemes','SchemesController');
        Route::Resource('sadownload','DownloadController');
        Route::Resource('sagallery','GalleryController');
        Route::Resource('sacategory','CategoryController');
        Route::Resource('sainventory','InventoryController');
        Route::Resource('saavoutvidhansabha','AboutVidhansabhaController');
        Route::Resource('sarequirement','RequirementController');
        Route::Resource('sanews','NewsController');
        Route::Resource('sacandidate','CandidateController');
        Route::Resource('sastarcampaigner','StarcampaignerController');
        Route::Resource('satask','TaskController');
        Route::Resource('savotercount','VoterCountController');
        Route::get('complete-voter','VoterCountController@completeVoter')->name('superadminCompleteVoter');
        Route::get('pending-voter','VoterCountController@pendingVoter')->name('superadminPandingVoter');
        Route::get('votercount','HomeController@votercount')->name('votercount');
        Route::get('super-notification','HomeController@notification')->name('supernotification');
        Route::get('registration','HomeController@registration')->name('registration');
        Route::get('saboothchange/{id}','HomeController@saboothchange')->name('saboothchange');
        Route::get('saadminchange/{id}','HomeController@saadminchange')->name('saadminchange');
        Route::get('sauserchange/{id}','HomeController@sauserchange')->name('sauserchange');
        Route::get('superadminprofile','HomeController@superadminprofile');
        Route::Post('superadminupdateprofile','HomeController@superadminupdateprofile');
        Route::get('superadminpassword','HomeController@superadminpassword');
        Route::Post('superadminupdatepassword','HomeController@superadminupdatepassword');
        Route::get('sauserdetail/{id}','HomeController@sauserdetail');
        Route::Post('sauserupdated','HomeController@sauserupdated');


        // delete 
		Route::get('vidhansabhaDelete/{id}','VidhanSabhaController@destroy');
		Route::get('adminDelete/{id}','AdminController@destroy');
		Route::get('boothagentDelete/{id}','BoothAgentController@destroy');
		Route::get('postDelete/{id}','PostController@destroy');
		Route::get('voterlistDelete/{id}','VoterListController@destroy');
		Route::get('eventDelete/{id}','EventController@destroy');
		Route::get('schemesDelete/{id}','SchemesController@destroy');
		Route::get('galleryDelete/{id}','GalleryController@destroy');
		Route::get('categoryDelete/{id}','CategoryController@destroy');
		Route::get('inventoryDelete/{id}','InventoryController@destroy');
		Route::get('requirementDelete/{id}','RequirementController@destroy');
		Route::get('newsDelete/{id}','NewsController@destroy');
		Route::get('downloadDelete/{id}','DownloadController@destroy');
		Route::get('candidateDelete/{id}','CandidateController@destroy');
		Route::get('starcampaignerDelete/{id}','StarcampaignerController@destroy');
        Route::get('taskDelete/{id}','TaskController@destroy');
        Route::get('issuesDelete/{id}','IssuesController@destroy');
        Route::get('social-mediaDelete/{id?}','SocialMediaController@destroy')->name('deleteSocial');
         Route::get('registrationDelete/{id}','HomeController@registrationDelete');

	});

    Route::group(['middleware'=>['role:admin','auth'],'namespace'=>'App\Http\Controllers\admin','prefix'=>'admin'],
	function(){
		Route::get('home','HomeController@index');

        Route::Resource('aboothagent','BoothAgentController');
        Route::Resource('avoterlist','VoterListController');
        Route::Resource('avotercount','VoterCountController');
        Route::get('complete-voter','VoterCountController@completeVoter')->name('adminCompleteVoter');
        Route::get('pending-voter','VoterCountController@pendingVoter')->name('adminPandingVoter');
        Route::Resource('apost','PostController');
        Route::Resource('aevent','EventController');
        Route::Resource('acategory','CategoryController');
        Route::Resource('aschemes','SchemesController');
        Route::Resource('agallery','GalleryController');
        Route::Resource('arequirement','RequirementController');
        Route::Resource('anews','NewsController');
        Route::Resource('astarcampaigner','StarcampaignerController');
        Route::Resource('ainventory','InventoryController');
        Route::Resource('aissues','IssuesController');
        Route::post('inventory-receive/{id}','InventoryController@received')->name('receivedInventory');
        Route::Resource('atask','TaskController');
        Route::post('task-receive/{id}','TaskController@received')->name('receiveTask');
        Route::get('admin-notification', 'HomeController@notification')->name('adminNewsDetails');
        Route::get('my-vidhansabha','HomeController@vidhansabhadetails')->name('adminmyvidhansabha');
        Route::get('registration','HomeController@registration')->name('adminregistration');
        Route::get('aboothchange/{id}','HomeController@aboothchange')->name('aboothchange');
        Route::get('auserchange/{id}','HomeController@auserchange')->name('auserchange');
        Route::get('adminprofile','HomeController@adminprofile');
        Route::Post('adminupdateprofile','HomeController@adminupdateprofile');
        Route::get('adminpassword','HomeController@adminpassword');
        Route::Post('adminupdatepassword','HomeController@adminupdatepassword');
        Route::get('auserdetail/{id}','HomeController@auserdetail');
        Route::Post('auserupdated','HomeController@auserupdated');


        // delete 
		Route::get('boothagentDelete/{id}','BoothAgentController@destroy');
        Route::get('postDelete/{id}','PostController@destroy');
        Route::get('voterlistDelete/{id}','VoterListController@destroy');
        Route::get('eventDelete/{id}','EventController@destroy');
        Route::get('categoryDelete/{id}','CategoryController@destroy');
        Route::get('galleryDelete/{id}','GalleryController@destroy');
        Route::get('schemesDelete/{id}','SchemesController@destroy');
        Route::get('inventoryDelete/{id}','InventoryController@destroy');
        Route::get('requirementDelete/{id}','RequirementController@destroy');
        Route::get('newsDelete/{id}','NewsController@destroy');
        Route::get('starcampaignerDelete/{id}','StarcampaignerController@destroy');
        Route::get('taskDelete/{id}','TaskController@destroy');
        Route::get('aregistrationDelete/{id}','HomeController@aregistrationDelete');

	});

    Route::group(['middleware'=>['role:boothagent','auth'],'namespace'=>'App\Http\Controllers\boothagent','prefix'=>'boothagent'],
	function(){
		Route::get('home','HomeController@index');

        Route::Resource('bavoterlist','VoterListController'); 
        Route::Resource('bavotercount','VoterCountController');
        Route::get('complete-voter','VoterCountController@completeVoter')->name('boothagentCompleteVoter');
        Route::get('pending-voter','VoterCountController@pendingVoter')->name('boothagentPandingVoter');  
        Route::Resource('baevent','EventController');
        Route::Resource('barequirement','RequirementController');
        Route::Resource('bainventory','InventoryController');
        Route::post('inventory-receive/{id}','InventoryController@received')->name('breceivedInventory');
        Route::Resource('batask','TaskController');
        Route::Resource('baissues','IssuesController');
        Route::post('task-receive/{id}','TaskController@received')->name('breceiveTask');
        Route::get('download-file','HomeController@filedownload')->name('boothagentDownloadFile');
        Route::get('download/{id?}','HomeController@download')->name('boothagentDownload');
        Route::get('vidhayak-profile','HomeController@vidhayakProfile')->name('boothagentvidhayakProfile');
        Route::get('booth','HomeController@booth')->name('boothagentBooth');
        Route::get('booth-details','HomeController@boothdetails')->name('boothagentBoothDetails');
        Route::get('star','HomeController@star')->name('boothagentStar');
        Route::get('celebrity','HomeController@celebrity')->name('boothagentCelebrity');
        Route::get('celebrity-details/{id}','HomeController@celebritydetails')->name('boothagentCelebritydetails');
        Route::get('Join-us','HomeController@JoinUs')->name('boothagentJoinUs');
        Route::get('social-media','HomeController@socialMedia')->name('boothagentSocialMedia');
        Route::get('vote-counting','HomeController@votecount')->name('votecount');
        Route::get('voter-add','HomeController@voteradd')->name('voteradd');
        Route::get('task-received','HomeController@taskreceived')->name('taskreceived');
        Route::get('profile', 'HomeController@profile')->name('boothagentprofile');
        Route::post('profile-post/{unique_id}', 'HomeController@boothprofilePost')->name('boothprofilePost');
        Route::get('inventory-management', 'HomeController@inventory')->name('inventory');
        Route::get('material-received-management', 'HomeController@material_received')->name('booth-material-received');
        Route::post('material-received/{id}', 'HomeController@received')->name('booth-receivee-material-received');
        Route::get('material-demand', 'HomeController@material_demand')->name('booth-material-demand');
        Route::get('material_demand_management', 'HomeController@material_demand_list')->name('booth-material_demand_list');
        Route::post('material_demand_store', 'HomeController@material_demand_store')->name('booth-material_demand_store');
        Route::get('booth-notification', 'HomeController@notification')->name('boothagentNewsDetails');
        Route::get('my-vidhansabha','HomeController@vidhansabhadetails')->name('boothmyvidhansabha');


        // delete 
		Route::get('boothagentDelete/{id}','BoothAgentController@destroy');
        Route::get('voterlistDelete/{id}','VoterListController@destroy');
        Route::get('postDelete/{id}','PostController@destroy');
        Route::get('eventDelete/{id}','EventController@destroy');
        Route::get('requirementDelete/{id}','RequirementController@destroy');

	});
    Route::group(['middleware'=>['role:user','auth'],'namespace'=>'App\Http\Controllers\user','prefix'=>'user'],
	function(){
		Route::get('home','HomeController@index');
        Route::get('profile', 'HomeController@profile')->name('profile');
        Route::post('profile-post/{unique_id}', 'HomeController@postProfile')->name('profilePost');
        Route::Resource('uvoterlist','VoterListController');   
        Route::Resource('uevent','EventController');
        Route::get('gallery','HomeController@gallerydetails')->name('userGalleryDetails');
        Route::get('party-plans','HomeController@partyplans')->name('userPartyPlans');
        Route::get('news','HomeController@news')->name('userNews');
        Route::get('news-details/{slug}','HomeController@newsdetails')->name('userNewsDetails');
        Route::get('booth','HomeController@booth')->name('userBooth');
        Route::get('booth-details','HomeController@boothdetails')->name('userBoothDetails');
        Route::get('download-file','HomeController@filedownload')->name('userDownloadFile');
        Route::get('download/{id?}','HomeController@download')->name('userDownload');
        Route::get('celebrity','HomeController@celebrity')->name('userCelebrity');
        Route::get('celebrity-details/{id}','HomeController@celebritydetails')->name('userCelebritydetails');
        Route::get('Join-us','HomeController@JoinUs')->name('userJoinUs');
        Route::get('social-media','HomeController@socialMedia')->name('userSocialMedia');
        Route::get('vidhayak-profile','HomeController@vidhayakProfile')->name('uservidhayakProfile');
        Route::get('your-area','HomeController@yourArea')->name('useryourArea');
        Route::Resource('uissues','IssuesController');
        Route::get('yourarea','HomeController@yourarea');
        Route::post('userissues', 'HomeController@userissues');
        Route::post('usersuggestion', 'HomeController@usersuggestion');
        Route::get('user-notification', 'HomeController@notification')->name('notification');
        Route::get('my-vidhansabha','HomeController@vidhansabhadetails')->name('usermyvidhansabha');
        
     


        // delete 
		Route::get('boothagentDelete/{id}','BoothAgentController@destroy');
        Route::get('voterlistDelete/{id}','VoterListController@destroy');
        Route::get('postDelete/{id}','PostController@destroy');
        Route::get('eventDelete/{id}','EventController@destroy');

	});
